# =============================================
# TaiChi  20160502 NCU 104323078
# Entry File for TaiChi
# =============================================
# Input Files
# =============================================
#    TaiChi_obj.tcl
#    TaiChi_cns.tcl
#    TaiChi_COMSOL_00.m
#
# =============================================
# Output Files
# =============================================
#    TaiChi_COMSOL_01.m
#    TaiChi_max.txt
#    TaiChi_min.txt
#
# =================================================================
# optimizer parameters
#
set smartdo_ioptmzr   2        ;# use robust genetic algorithms
set smartdo_idflt     2        ;# use the type 1 default setting
#
# =================================================================
# Model parameters
#
set smartdo_n_bdv       0        ;# number of binary design variables
set smartdo_n_idv        0        ;# number of integer design variables
set smartdo_n_sdv       8        ;# number of real design variables
set smartdo_ncnstrn   2        ;# number of constraints

set smartdo_npop 1   ;# scaled factor for calculated of pop
set smartdo_ngen  1   ;# scaled factor for calculated of gen
set smartdo_ndv   8   ;
set smartdo_iprmtr(12)  1  ;# intial design

#
# === design variables
#
set smartdo_sx(1)    18.76       ;# DV 1, initial
set smartdo_sxl(1)   10.01      ;# DV 1, lower bound
set smartdo_sxu(1)   18.76       ;# DV 1, upper bound
set smartdo_resol(1)   0.875       ;# DV 1, resolution
#
set smartdo_sx(2)    18.76       ;# DV 2, initial
set smartdo_sxl(2)   14.02       ;# DV 2, lower bound
set smartdo_sxu(2)   18.76       ;# DV 2, upper bound
set smartdo_resol(2)   0.474       ;# DV 2, resolution
#
set smartdo_sx(3)    18.76       ;# DV 3, initial
set smartdo_sxl(3)   14.1923       ;# DV 3, lower bound
set smartdo_sxu(3)   18.76       ;# DV 3, upper bound
set smartdo_resol(3)   0.45677      ;# DV 3, resolution
#
set smartdo_sx(4)    18.76       ;# DV 4, initial
set smartdo_sxl(4)   16.76       ;# DV 4, lower bound
set smartdo_sxu(4)   18.76       ;# DV 4, upper bound
set smartdo_resol(4)   0.4       ;# DV 4, resolution
#
set smartdo_sx(5)    -8       ;# DV 5, initial
set smartdo_sxl(5)   -8       ;# DV 5, lower bound
set smartdo_sxu(5)   -1.99       ;# DV 5, upper bound
set smartdo_resol(5)   0.601       ;# DV 5, resolution
#
set smartdo_sx(6)    -8       ;# DV 6, initial
set smartdo_sxl(6)   -8       ;# DV 6, lower bound
set smartdo_sxu(6)   -6       ;# DV 6, upper bound
set smartdo_resol(6)   0.4       ;# DV 6, resolution
#
set smartdo_sx(7)    -8       ;# DV 7, initial
set smartdo_sxl(7)   -8       ;# DV 7, lower bound
set smartdo_sxu(7)   -5.1768       ;# DV 7, upper bound
set smartdo_resol(7)   0.28232       ;# DV 7, resolution
#
set smartdo_sx(8)    -8       ;# DV 8, initial
set smartdo_sxl(8)   -8       ;# DV 8, lower bound
set smartdo_sxu(8)   -2.4679       ;# DV 8, upper bound
set smartdo_resol(8)   0.55321       ;# DV 8, resolution
#
#=======================================
#
set smartdo_sx_ipop(1,1)  18.76  ;
set smartdo_sx_ipop(1,2)  18.76  ;
set smartdo_sx_ipop(1,3)  18.76  ;
set smartdo_sx_ipop(1,4)  18.76  ;
set smartdo_sx_ipop(1,5)  -8  ;
set smartdo_sx_ipop(1,6)  -8  ;
set smartdo_sx_ipop(1,7)  -8  ;
set smartdo_sx_ipop(1,8)  -8  ;
#
# === Link to objective and constraint files
#
smartdo filobj TaiChi_obj.tcl     ;# objective file
smartdo filcns TaiChi_cns.tcl     ;# constraint file
#
#


