function out = model
%
% TaiChi.m
%
% Model exported on Oct 8 2016, 02:48 by COMSOL 5.2.0.166.

import com.comsol.model.*
import com.comsol.model.util.*

model = ModelUtil.create('Model');

model.modelPath('C:\Users\USER\Desktop');

model.comments(['Untitled\n\n']);

model.modelNode.create('comp1');

model.geom.create('geom1', 3);

model.mesh.create('mesh1', 'geom1');

model.physics.create('nipfl', 'NonisothermalPipeFlow', 'geom1');
model.physics.create('nipfl2', 'NonisothermalPipeFlow', 'geom1');
model.physics.create('ht', 'HeatTransfer', 'geom1');
model.physics.create('ht2', 'HeatTransfer', 'geom1');

model.study.create('std1');
model.study('std1').create('time', 'Transient');
model.study('std1').feature('time').activate('nipfl', true);
model.study('std1').feature('time').activate('nipfl2', true);
model.study('std1').feature('time').activate('ht', true);
model.study('std1').feature('time').activate('ht2', true);

model.param.set('T_init_mold', '362.65[K]');
model.param.descr('T_init_mold', 'Initial temperature, mold');
model.param.set('T_init_part', '488.75[K]');
model.param.descr('T_init_part', 'Initial temperature, part');
model.param.set('T_coolant', '353.15[K]');
model.param.descr('T_coolant', 'Steady-state inlet temperature, coolant');
model.param.set('z1', '18.76');
model.param.descr('z1', 'cooling channel height 1');
model.param.set('z2', '18.76');
model.param.descr('z2', 'cooling channel height 2');
model.param.set('z3', '18.76');
model.param.descr('z3', 'cooling channel height 3');
model.param.set('z4', '18.76');
model.param.descr('z4', 'cooling channel height 4');
model.param.set('z5', '-8');
model.param.descr('z5', 'cooling channel height 5');
model.param.set('z6', '-8');
model.param.descr('z6', 'cooling channel height 6');
model.param.set('z7', '-8');
model.param.descr('z7', 'cooling channel height 7');
model.param.set('z8', '-8');
model.param.descr('z8', 'cooling channel height 8');

model.func.create('step1', 'Step');
model.func('step1').set('location', '2.5');
model.func('step1').set('from', '1');
model.func('step1').set('to', '0');
model.func('step1').set('smooth', '5');

model.variable.create('var1');
model.variable('var1').set('T_inlet', 'T_coolant+(T_init_mold-T_coolant)*step1(t[1/s])');
model.variable('var1').descr('T_inlet', 'Ramped inlet temperature, coolant');

model.geom('geom1').scaleUnitValue(true);
model.geom('geom1').scaleUnitValue(false);
model.geom('geom1').lengthUnit('mm');
model.geom('geom1').create('imp1', 'Import');
model.geom('geom1').feature('imp1').set('type', 'cad');
model.geom('geom1').feature('imp1').set('filename', 'C:\Users\USER\Desktop\Lens.x_t');
model.geom('geom1').run('imp1');

model.view('view1').hideObjects.create('hide1');
model.view('view1').hideObjects('hide1').init(1);
model.view('view1').hideObjects('hide1').set('imp1', [16 17 19 20 22 23 25 26 28 29 33 34 39 40 42 43 45 46 48 49 51 52 54 55 57 58 60 61 63 64 66 67 69 70 72 73 75 76 78 79 81 82 84 85 87 88 90 91 93 94 ...
96 97 99 100 102 103 105 106 108 109 111 112 114 115 117 118 120 121 123 124 126 127 129 130 132 133 135 136 138 139 141 142 144 145 147 148 150 151 153 154 156 157 159 160 162 163 165 166 168 ...
169 171 172 174 175 177 178 180 181 183 184 186 187 189 190 192 193 195 196 198 199 201 202 204 205 207 208 210 211 213 214 216 217 219 220 222 223 225 226 228 229 231 232 234 235 237 238 240 ...
241 243 244 246 247 249 250 252 253 255 256 258 259 261 262 264 265 267 268 270 271 273 274 276 277 279 280 282 283 285 286 288 289 291 292 294 295 297 298 300 301 303 304 306 307 309 310 312 ...
313 315 316 318 319 321 322 324 325 327 328 330 331 333 334 336 337 339 340 342 343 345 346 348 349 351 352 354 355 357 358 360 361 363 364 366 367 369 370 372 373 375 376 378 379 381 382 384 ...
385 387 388 390 391 393 394 396 397 399 400 402 403 405 406 408 409 411 412 414 415 417 418 420 421 423 424 426 427 429 430 432 433 435 436 438 439 441 442 444 445 447 448 450 451 453 454 456 457 ...
459 460]);
model.view('view1').hideObjects.create('hide2');
model.view('view1').hideObjects('hide2').init(0);
model.view('view1').hideObjects('hide2').set('imp1', [6 7 8 9 10 12 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 ...
60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 ...
120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 166 167 168 169 170 171 172 173 174 175 176 177 178 179 ...
180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 ...
229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 ...
278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 308 310 311 312 313 314]);

model.geom('geom1').feature('imp1').label('Lens');
model.geom('geom1').run('imp1');
model.geom('geom1').create('b1', 'BezierPolygon');
model.geom('geom1').feature('b1').set('degree', [1]);
model.geom('geom1').feature('b1').set('p', {'0' '0'; '0' '0'; '0' '0'});
model.geom('geom1').feature('b1').set('w', {'1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '75', 0, 0);
model.geom('geom1').feature('b1').setIndex('p', '-31.7482', 1, 0);
model.geom('geom1').feature('b1').setIndex('p', '33.76', 2, 0);
model.geom('geom1').feature('b1').setIndex('p', '-4', 0, 1);
model.geom('geom1').feature('b1').setIndex('p', '-31.7482', 1, 1);
model.geom('geom1').feature('b1').setIndex('p', '33.76', 2, 1);
model.geom('geom1').feature('b1').set('degree', [1 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4'; '-31.7482' '-31.7482' '-31.7482'; '33.76' '33.76' '33.76'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', 'z1', 2, 2);
model.geom('geom1').feature('b1').set('degree', [1 1 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.7482' '-31.7482';  ...
'33.76' '33.76' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-4.8382', 0, 3);
model.geom('geom1').feature('b1').setIndex('p', '-31.6432', 1, 3);
model.geom('geom1').feature('b1').setIndex('p', '-5.6629', 0, 4);
model.geom('geom1').feature('b1').setIndex('p', '-31.4949', 1, 4);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-5.6629' '-5.6629';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.4949' '-31.4949';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-7.8652', 0, 5);
model.geom('geom1').feature('b1').setIndex('p', '-31.0990', 1, 5);
model.geom('geom1').feature('b1').setIndex('p', '-9.9910', 0, 6);
model.geom('geom1').feature('b1').setIndex('p', '-30.4003', 1, 6);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-9.9910' '-9.9910';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-30.4003' '-30.4003';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-32.0782', 0, 7);
model.geom('geom1').feature('b1').setIndex('p', '-23.1414', 1, 7);
model.geom('geom1').feature('b1').setIndex('p', '-31.9998', 0, 8);
model.geom('geom1').feature('b1').setIndex('p', '0.1078', 1, 8);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9998'  ...
'-31.9998';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '0.1078'  ...
'0.1078';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-31.9215', 0, 9);
model.geom('geom1').feature('b1').setIndex('p', '23.3571', 1, 9);
model.geom('geom1').feature('b1').setIndex('p', '-9.7859', 0, 10);
model.geom('geom1').feature('b1').setIndex('p', '30.4670', 1, 10);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-9.7859' '-9.7859';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.4670' '30.4670';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-8.7220', 0, 11);
model.geom('geom1').feature('b1').setIndex('p', '30.8087', 1, 11);
model.geom('geom1').feature('b1').setIndex('p', '-7.6368', 0, 12);
model.geom('geom1').feature('b1').setIndex('p', '31.0754', 1, 12);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-7.6368' '-7.6368';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.0754' '31.0754';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-6.8231', 0, 13);
model.geom('geom1').feature('b1').setIndex('p', '31.2754', 1, 13);
model.geom('geom1').feature('b1').setIndex('p', '-6', 0, 14);
model.geom('geom1').feature('b1').setIndex('p', '31.4325', 1, 14);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '31.4325';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-4', 0, 15);
model.geom('geom1').feature('b1').setIndex('p', '29.7490', 1, 15);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '29.7490';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '23.6643', 1, 16);
model.geom('geom1').feature('b1').setIndex('p', 'z2', 2, 16);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '23.6643' '23.6643';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-8.1727', 0, 17);
model.geom('geom1').feature('b1').setIndex('p', '22.9590', 1, 17);
model.geom('geom1').feature('b1').setIndex('p', '-11.8524', 0, 18);
model.geom('geom1').feature('b1').setIndex('p', '20.8691', 1, 18);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-11.8524'  ...
'-11.8524';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '20.8691'  ...
'20.8691';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-23.9012', 0, 19);
model.geom('geom1').feature('b1').setIndex('p', '14.0261', 1, 19);
model.geom('geom1').feature('b1').setIndex('p', '-23.9994', 0, 20);
model.geom('geom1').feature('b1').setIndex('p', '0.17', 1, 20);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-23.9994' '-23.9994';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '0.17' '0.17';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-24.0976', 0, 21);
model.geom('geom1').feature('b1').setIndex('p', '-13.6860', 1, 21);
model.geom('geom1').feature('b1').setIndex('p', '-12.1728', 0, 22);
model.geom('geom1').feature('b1').setIndex('p', '-20.6839', 1, 22);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-12.1728' '-12.1728';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-20.6839' '-20.6839';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-10.7264', 0, 23);
model.geom('geom1').feature('b1').setIndex('p', '-21.5351', 1, 23);
model.geom('geom1').feature('b1').setIndex('p', '-9.1757', 0, 24);
model.geom('geom1').feature('b1').setIndex('p', '-22.1767', 1, 24);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-9.1757' '-9.1757';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.1767' '-22.1767';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1'});
model.geom('geom1').feature('b1').setIndex('p', '-7.6250', 0, 25);
model.geom('geom1').feature('b1').setIndex('p', '-22.8183', 1, 25);
model.geom('geom1').feature('b1').setIndex('p', '-6', 0, 26);
model.geom('geom1').feature('b1').setIndex('p', '-23.2379', 1, 26);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-23.2379';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-4', 0, 27);
model.geom('geom1').feature('b1').setIndex('p', '-21.6643', 1, 27);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-21.6643';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-15.4919', 1, 28);
model.geom('geom1').feature('b1').setIndex('p', 'z3', 2, 28);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-4'  ...
'-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.4919'  ...
'-15.4919';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-5.0833', 0, 29);
model.geom('geom1').feature('b1').setIndex('p', '-15.2122', 1, 29);
model.geom('geom1').feature('b1').setIndex('p', '-6.1171', 0, 30);
model.geom('geom1').feature('b1').setIndex('p', '-14.7845', 1, 30);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-6.1171' '-6.1171';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.7845' '-14.7845';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1'});
model.geom('geom1').feature('b1').setIndex('p', '-7.1510', 0, 31);
model.geom('geom1').feature('b1').setIndex('p', '-14.3567', 1, 31);
model.geom('geom1').feature('b1').setIndex('p', '-8.1152', 0, 32);
model.geom('geom1').feature('b1').setIndex('p', '-13.7893', 1, 32);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-8.1152' '-8.1152';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-13.7893' '-13.7893';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-15.9961', 0, 33);
model.geom('geom1').feature('b1').setIndex('p', '-9.2444', 1, 33);
model.geom('geom1').feature('b1').setIndex('p', '-16', 0, 34);
model.geom('geom1').feature('b1').setIndex('p', '-0.0068', 1, 34);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16' '-16';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '-0.0068' '-0.0068';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-16.0039', 0, 35);
model.geom('geom1').feature('b1').setIndex('p', '9.2308', 1, 35);
model.geom('geom1').feature('b1').setIndex('p', '-8.0059', 0, 36);
model.geom('geom1').feature('b1').setIndex('p', '13.8530', 1, 36);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-8.0059' '-8.0059';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '13.8530' '13.8530';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-7.0372', 0, 37);
model.geom('geom1').feature('b1').setIndex('p', '14.4128', 1, 37);
model.geom('geom1').feature('b1').setIndex('p', '-6', 0, 38);
model.geom('geom1').feature('b1').setIndex('p', '14.8324', 1, 38);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '14.8324';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-4', 0, 39);
model.geom('geom1').feature('b1').setIndex('p', '13.4919', 1, 39);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'13.4919';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '6.9282', 1, 40);
model.geom('geom1').feature('b1').setIndex('p', 'z4', 2, 40);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '6.9282' '6.9282';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-8', 0, 41);
model.geom('geom1').feature('b1').setIndex('p', '4.6188', 1, 41);
model.geom('geom1').feature('b1').setIndex('p', '-8', 0, 42);
model.geom('geom1').feature('b1').setIndex('p', '0', 1, 42);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-8';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '0' '0';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-4', 1, 43);
model.geom('geom1').feature('b1').setIndex('p', '-4', 0, 44);
model.geom('geom1').feature('b1').setIndex('p', '-4', 1, 44);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '-4';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '4', 0, 45);
model.geom('geom1').feature('b1').setIndex('p', '4', 1, 45);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '4';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '8', 0, 46);
model.geom('geom1').feature('b1').setIndex('p', '8', 0, 47);
model.geom('geom1').feature('b1').setIndex('p', '0', 1, 47);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '8';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '0' '0';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-4.6188', 1, 48);
model.geom('geom1').feature('b1').setIndex('p', '4', 0, 49);
model.geom('geom1').feature('b1').setIndex('p', '-6.9282', 1, 49);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-6.9282';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z4'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-13.4919', 1, 50);
model.geom('geom1').feature('b1').setIndex('p', 'z3', 2, 50);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-13.4919';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '6', 0, 51);
model.geom('geom1').feature('b1').setIndex('p', '-14.8324', 1, 51);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '6' '6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.8324' '-14.8324';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '7.0372', 0, 52);
model.geom('geom1').feature('b1').setIndex('p', '-14.4128', 1, 52);
model.geom('geom1').feature('b1').setIndex('p', '8.0059', 0, 53);
model.geom('geom1').feature('b1').setIndex('p', '-13.8530', 1, 53);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '8.0059' '8.0059';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-13.8530' '-13.8530';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '16.0039', 0, 54);
model.geom('geom1').feature('b1').setIndex('p', '-9.2308', 1, 54);
model.geom('geom1').feature('b1').setIndex('p', '16', 0, 55);
model.geom('geom1').feature('b1').setIndex('p', '0.0068', 1, 55);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '16' '16';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '0.0068' '0.0068';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1'});
model.geom('geom1').feature('b1').setIndex('p', '15.9961', 0, 56);
model.geom('geom1').feature('b1').setIndex('p', '9.2444', 1, 56);
model.geom('geom1').feature('b1').setIndex('p', '8.1152', 0, 57);
model.geom('geom1').feature('b1').setIndex('p', '13.7893', 1, 57);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '8.1152' '8.1152';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '13.7893' '13.7893';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '7.1510', 0, 58);
model.geom('geom1').feature('b1').setIndex('p', '14.3567', 1, 58);
model.geom('geom1').feature('b1').setIndex('p', '6.1171', 0, 59);
model.geom('geom1').feature('b1').setIndex('p', '14.7845', 1, 59);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'6.1171' '6.1171';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'14.7845' '14.7845';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '5.0833', 0, 60);
model.geom('geom1').feature('b1').setIndex('p', '15.2122', 1, 60);
model.geom('geom1').feature('b1').setIndex('p', '4', 0, 61);
model.geom('geom1').feature('b1').setIndex('p', '15.4919', 1, 61);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '15.4919';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z3'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '21.6643', 1, 62);
model.geom('geom1').feature('b1').setIndex('p', 'z2', 2, 62);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '21.6643';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1'});
model.geom('geom1').feature('b1').setIndex('p', '6', 0, 63);
model.geom('geom1').feature('b1').setIndex('p', '23.2379', 1, 63);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '6' '6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '23.2379' '23.2379';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '7.6250', 0, 64);
model.geom('geom1').feature('b1').setIndex('p', '22.8183', 1, 64);
model.geom('geom1').feature('b1').setIndex('p', '9.1757', 0, 65);
model.geom('geom1').feature('b1').setIndex('p', '22.1767', 1, 65);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '9.1757' '9.1757';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '22.1767' '22.1767';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '10.7264', 0, 66);
model.geom('geom1').feature('b1').setIndex('p', '21.5351', 1, 66);
model.geom('geom1').feature('b1').setIndex('p', '12.1728', 0, 67);
model.geom('geom1').feature('b1').setIndex('p', '20.6839', 1, 67);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '12.1728' '12.1728';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '20.6839' '20.6839';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '24.0976', 0, 68);
model.geom('geom1').feature('b1').setIndex('p', '13.6860', 1, 68);
model.geom('geom1').feature('b1').setIndex('p', '23.9994', 0, 69);
model.geom('geom1').feature('b1').setIndex('p', '-0.17', 1, 69);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9994' '23.9994';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-0.17' '-0.17';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '23.9012', 0, 70);
model.geom('geom1').feature('b1').setIndex('p', '-14.0261', 1, 70);
model.geom('geom1').feature('b1').setIndex('p', '11.8524', 0, 71);
model.geom('geom1').feature('b1').setIndex('p', '-20.8691', 1, 71);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '11.8524' '11.8524';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-20.8691' '-20.8691';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '8.1727', 0, 72);
model.geom('geom1').feature('b1').setIndex('p', '-22.9590', 1, 72);
model.geom('geom1').feature('b1').setIndex('p', '4', 0, 73);
model.geom('geom1').feature('b1').setIndex('p', '-23.6643', 1, 73);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-23.6643';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '-29.7490', 1, 74);
model.geom('geom1').feature('b1').setIndex('p', 'z1', 2, 74);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-29.7490';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '6', 0, 75);
model.geom('geom1').feature('b1').setIndex('p', '-31.4325', 1, 75);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6' '6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.4325' '-31.4325';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '6.8231', 0, 76);
model.geom('geom1').feature('b1').setIndex('p', '-31.2754', 1, 76);
model.geom('geom1').feature('b1').setIndex('p', '7.6368', 0, 77);
model.geom('geom1').feature('b1').setIndex('p', '-31.0754', 1, 77);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '7.6368' '7.6368';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-31.0754' '-31.0754';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '8.7220', 0, 78);
model.geom('geom1').feature('b1').setIndex('p', '-30.8087', 1, 78);
model.geom('geom1').feature('b1').setIndex('p', '9.7859', 0, 79);
model.geom('geom1').feature('b1').setIndex('p', '-30.4670', 1, 79);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'9.7859' '9.7859';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-30.4670' '-30.4670';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '31.9215', 0, 80);
model.geom('geom1').feature('b1').setIndex('p', '-23.3571', 1, 80);
model.geom('geom1').feature('b1').setIndex('p', '31.9998', 0, 81);
model.geom('geom1').feature('b1').setIndex('p', '-0.1078', 1, 81);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '31.9998' '31.9998';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '-0.1078' '-0.1078';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '32.0782', 0, 82);
model.geom('geom1').feature('b1').setIndex('p', '23.1414', 1, 82);
model.geom('geom1').feature('b1').setIndex('p', '9.9910', 0, 83);
model.geom('geom1').feature('b1').setIndex('p', '30.4003', 1, 83);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '32.0782' '9.9910' '9.9910' '9.9910';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '23.1414' '30.4003' '30.4003' '30.4003';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '7.8652', 0, 84);
model.geom('geom1').feature('b1').setIndex('p', '31.0990', 1, 84);
model.geom('geom1').feature('b1').setIndex('p', '5.6629', 0, 85);
model.geom('geom1').feature('b1').setIndex('p', '31.4949', 1, 85);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 2]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '32.0782' '9.9910' '7.8652' '5.6629' '5.6629' '5.6629';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '23.1414' '30.4003' '31.0990' '31.4949' '31.4949' '31.4949';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b1').setIndex('p', '4.8382', 0, 86);
model.geom('geom1').feature('b1').setIndex('p', '31.6432', 1, 86);
model.geom('geom1').feature('b1').setIndex('p', '4', 0, 87);
model.geom('geom1').feature('b1').setIndex('p', '31.7482', 1, 87);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 2 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '32.0782' '9.9910' '7.8652' '5.6629' '4.8382' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '23.1414' '30.4003' '31.0990' '31.4949' '31.6432' '31.7482' '31.7482';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '33.76', 2, 88);
model.geom('geom1').run('b1');
model.geom('geom1').feature('b1').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b1').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '32.0782' '9.9910' '7.8652' '5.6629' '4.8382' '4' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '23.1414' '30.4003' '31.0990' '31.4949' '31.6432' '31.7482' '31.7482' '31.7482';  ...
'33.76' '33.76' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z3' 'z3'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4' 'z4'  ...
'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3' 'z3'  ...
'z3' 'z3' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2' 'z2'  ...
'z2' 'z2' 'z2' 'z2' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1'  ...
'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' 'z1' '33.76' '33.76'});
model.geom('geom1').feature('b1').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1'});
model.geom('geom1').feature('b1').setIndex('p', '75', 0, 89);
model.geom('geom1').run('b1');
model.geom('geom1').run('b1');
model.geom('geom1').create('b2', 'BezierPolygon');
model.geom('geom1').feature('b2').set('degree', [1]);
model.geom('geom1').feature('b2').set('p', {'0' '0'; '0' '0'; '0' '0'});
model.geom('geom1').feature('b2').set('w', {'1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '75', 0, 0);
model.geom('geom1').feature('b2').setIndex('p', '-31.7482', 1, 0);
model.geom('geom1').feature('b2').setIndex('p', '-23', 2, 0);
model.geom('geom1').feature('b2').setIndex('p', '-4', 0, 1);
model.geom('geom1').feature('b2').setIndex('p', '-31.7482', 1, 1);
model.geom('geom1').feature('b2').setIndex('p', '-23', 2, 1);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4'; '-31.7482' '-31.7482' '-31.7482'; '-23' '-23' '-23'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', 'z5', 2, 2);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.7482' '-31.7482';  ...
'-23' '-23' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-4.8382', 0, 3);
model.geom('geom1').feature('b2').setIndex('p', '-31.6432', 1, 3);
model.geom('geom1').feature('b2').setIndex('p', '-5.6629', 0, 4);
model.geom('geom1').feature('b2').setIndex('p', '-31.4949', 1, 4);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-5.6629' '-5.6629';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.4949' '-31.4949';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-7.8652', 0, 5);
model.geom('geom1').feature('b2').setIndex('p', '-31.0990', 1, 5);
model.geom('geom1').feature('b2').setIndex('p', '-9.9910', 0, 6);
model.geom('geom1').feature('b2').setIndex('p', '-30.4003', 1, 6);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-9.9910' '-9.9910';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-30.4003' '-30.4003';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-32.0782', 0, 7);
model.geom('geom1').feature('b2').setIndex('p', '-23.1414', 1, 7);
model.geom('geom1').feature('b2').setIndex('p', '-31.9998', 0, 8);
model.geom('geom1').feature('b2').setIndex('p', '0.1078', 1, 8);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9998'  ...
'-31.9998';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '0.1078'  ...
'0.1078';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-31.9215', 0, 9);
model.geom('geom1').feature('b2').setIndex('p', '23.3571', 1, 9);
model.geom('geom1').feature('b2').setIndex('p', '-9.7859', 0, 10);
model.geom('geom1').feature('b2').setIndex('p', '30.4670', 1, 10);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-9.7859' '-9.7859';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.4670' '30.4670';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-8.7220', 0, 11);
model.geom('geom1').feature('b2').setIndex('p', '30.8087', 1, 11);
model.geom('geom1').feature('b2').setIndex('p', '-7.6368', 0, 12);
model.geom('geom1').feature('b2').setIndex('p', '31.0754', 1, 12);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-7.6368' '-7.6368';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.0754' '31.0754';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-6.8231', 0, 13);
model.geom('geom1').feature('b2').setIndex('p', '31.2754', 1, 13);
model.geom('geom1').feature('b2').setIndex('p', '-6', 0, 14);
model.geom('geom1').feature('b2').setIndex('p', '31.4325', 1, 14);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '31.4325';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-4', 0, 15);
model.geom('geom1').feature('b2').setIndex('p', '29.7490', 1, 15);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '29.7490';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '23.6643', 1, 16);
model.geom('geom1').feature('b2').setIndex('p', 'z6', 2, 16);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '23.6643' '23.6643';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-8.1727', 0, 17);
model.geom('geom1').feature('b2').setIndex('p', '22.9590', 1, 17);
model.geom('geom1').feature('b2').setIndex('p', '-11.8524', 0, 18);
model.geom('geom1').feature('b2').setIndex('p', '20.8691', 1, 18);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-11.8524'  ...
'-11.8524';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '20.8691'  ...
'20.8691';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-23.9012', 0, 19);
model.geom('geom1').feature('b2').setIndex('p', '14.0261', 1, 19);
model.geom('geom1').feature('b2').setIndex('p', '-23.9994', 0, 20);
model.geom('geom1').feature('b2').setIndex('p', '0.17', 1, 20);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-23.9994' '-23.9994';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '0.17' '0.17';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-24.0976', 0, 21);
model.geom('geom1').feature('b2').setIndex('p', '-13.6860', 1, 21);
model.geom('geom1').feature('b2').setIndex('p', '-12.1728', 0, 22);
model.geom('geom1').feature('b2').setIndex('p', '-20.6839', 1, 22);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-12.1728' '-12.1728';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-20.6839' '-20.6839';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-10.7264', 0, 23);
model.geom('geom1').feature('b2').setIndex('p', '-21.5351', 1, 23);
model.geom('geom1').feature('b2').setIndex('p', '-9.1757', 0, 24);
model.geom('geom1').feature('b2').setIndex('p', '-22.1767', 1, 24);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-9.1757' '-9.1757';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.1767' '-22.1767';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1'});
model.geom('geom1').feature('b2').setIndex('p', '-7.6250', 0, 25);
model.geom('geom1').feature('b2').setIndex('p', '-22.8183', 1, 25);
model.geom('geom1').feature('b2').setIndex('p', '-6', 0, 26);
model.geom('geom1').feature('b2').setIndex('p', '-23.2379', 1, 26);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-23.2379';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-4', 0, 27);
model.geom('geom1').feature('b2').setIndex('p', '-21.6643', 1, 27);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-21.6643';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-15.4919', 1, 28);
model.geom('geom1').feature('b2').setIndex('p', 'z7', 2, 28);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-4'  ...
'-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.4919'  ...
'-15.4919';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-5.0833', 0, 29);
model.geom('geom1').feature('b2').setIndex('p', '-15.2122', 1, 29);
model.geom('geom1').feature('b2').setIndex('p', '-6.1171', 0, 30);
model.geom('geom1').feature('b2').setIndex('p', '-14.7845', 1, 30);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-6.1171' '-6.1171';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.7845' '-14.7845';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1'});
model.geom('geom1').feature('b2').setIndex('p', '-7.1510', 0, 31);
model.geom('geom1').feature('b2').setIndex('p', '-14.3567', 1, 31);
model.geom('geom1').feature('b2').setIndex('p', '-8.1152', 0, 32);
model.geom('geom1').feature('b2').setIndex('p', '-13.7893', 1, 32);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-8.1152' '-8.1152';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-13.7893' '-13.7893';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-15.9961', 0, 33);
model.geom('geom1').feature('b2').setIndex('p', '-9.2444', 1, 33);
model.geom('geom1').feature('b2').setIndex('p', '-16', 0, 34);
model.geom('geom1').feature('b2').setIndex('p', '-0.0068', 1, 34);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16' '-16';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '-0.0068' '-0.0068';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-16.0039', 0, 35);
model.geom('geom1').feature('b2').setIndex('p', '9.2308', 1, 35);
model.geom('geom1').feature('b2').setIndex('p', '-8.0059', 0, 36);
model.geom('geom1').feature('b2').setIndex('p', '13.8530', 1, 36);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-8.0059' '-8.0059';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '13.8530' '13.8530';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-7.0372', 0, 37);
model.geom('geom1').feature('b2').setIndex('p', '14.4128', 1, 37);
model.geom('geom1').feature('b2').setIndex('p', '-6', 0, 38);
model.geom('geom1').feature('b2').setIndex('p', '14.8324', 1, 38);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '14.8324';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-4', 0, 39);
model.geom('geom1').feature('b2').setIndex('p', '13.4919', 1, 39);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'13.4919';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '6.9282', 1, 40);
model.geom('geom1').feature('b2').setIndex('p', 'z8', 2, 40);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '6.9282' '6.9282';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-8', 0, 41);
model.geom('geom1').feature('b2').setIndex('p', '4.6188', 1, 41);
model.geom('geom1').feature('b2').setIndex('p', '-8', 0, 42);
model.geom('geom1').feature('b2').setIndex('p', '0', 1, 42);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-8';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '0' '0';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-4', 1, 43);
model.geom('geom1').feature('b2').setIndex('p', '-4', 0, 44);
model.geom('geom1').feature('b2').setIndex('p', '-4', 1, 44);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '-4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '-4';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '4', 0, 45);
model.geom('geom1').feature('b2').setIndex('p', '4', 1, 45);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '4';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '8', 0, 46);
model.geom('geom1').feature('b2').setIndex('p', '8', 0, 47);
model.geom('geom1').feature('b2').setIndex('p', '0', 1, 47);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '8';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '0' '0';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-4.6188', 1, 48);
model.geom('geom1').feature('b2').setIndex('p', '4', 0, 49);
model.geom('geom1').feature('b2').setIndex('p', '-6.9282', 1, 49);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-6.9282';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z8'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-13.4919', 1, 50);
model.geom('geom1').feature('b2').setIndex('p', 'z7', 2, 50);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-13.4919';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '6', 0, 51);
model.geom('geom1').feature('b2').setIndex('p', '-14.8324', 1, 51);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '6' '6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.8324' '-14.8324';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '7.0372', 0, 52);
model.geom('geom1').feature('b2').setIndex('p', '-14.4128', 1, 52);
model.geom('geom1').feature('b2').setIndex('p', '8.0059', 0, 53);
model.geom('geom1').feature('b2').setIndex('p', '-13.8530', 1, 53);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '8.0059' '8.0059';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-13.8530' '-13.8530';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '16.0039', 0, 54);
model.geom('geom1').feature('b2').setIndex('p', '-9.2308', 1, 54);
model.geom('geom1').feature('b2').setIndex('p', '16', 0, 55);
model.geom('geom1').feature('b2').setIndex('p', '0.0068', 1, 55);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '16' '16';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '0.0068' '0.0068';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1'});
model.geom('geom1').feature('b2').setIndex('p', '15.9961', 0, 56);
model.geom('geom1').feature('b2').setIndex('p', '9.2444', 1, 56);
model.geom('geom1').feature('b2').setIndex('p', '8.1152', 0, 57);
model.geom('geom1').feature('b2').setIndex('p', '13.7893', 1, 57);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '8.1152' '8.1152';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '13.7893' '13.7893';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '7.1510', 0, 58);
model.geom('geom1').feature('b2').setIndex('p', '14.3567', 1, 58);
model.geom('geom1').feature('b2').setIndex('p', '6.1171', 0, 59);
model.geom('geom1').feature('b2').setIndex('p', '14.7845', 1, 59);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'6.1171' '6.1171';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'14.7845' '14.7845';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '5.0833', 0, 60);
model.geom('geom1').feature('b2').setIndex('p', '15.2122', 1, 60);
model.geom('geom1').feature('b2').setIndex('p', '4', 0, 61);
model.geom('geom1').feature('b2').setIndex('p', '15.4919', 1, 61);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '15.4919';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z7'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '21.6643', 1, 62);
model.geom('geom1').feature('b2').setIndex('p', 'z6', 2, 62);
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '21.6643';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1'});
model.geom('geom1').feature('b2').setIndex('p', '6', 0, 63);
model.geom('geom1').feature('b2').setIndex('p', '23.2379', 1, 63);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '6' '6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '23.2379' '23.2379';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '7.6250', 0, 64);
model.geom('geom1').feature('b2').setIndex('p', '22.8183', 1, 64);
model.geom('geom1').feature('b2').setIndex('p', '9.1757', 0, 65);
model.geom('geom1').feature('b2').setIndex('p', '22.1767', 1, 65);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '9.1757' '9.1757';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '22.1767' '22.1767';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '10.7264', 0, 66);
model.geom('geom1').feature('b2').setIndex('p', '21.5351', 1, 66);
model.geom('geom1').feature('b2').setIndex('p', '12.1728', 0, 67);
model.geom('geom1').feature('b2').setIndex('p', '20.6839', 1, 67);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '12.1728' '12.1728';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '20.6839' '20.6839';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '24.0976', 0, 68);
model.geom('geom1').feature('b2').setIndex('p', '13.6860', 1, 68);
model.geom('geom1').feature('b2').setIndex('p', '23.9994', 0, 69);
model.geom('geom1').feature('b2').setIndex('p', '-0.17', 1, 69);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9994' '23.9994';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-0.17' '-0.17';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '23.9012', 0, 70);
model.geom('geom1').feature('b2').setIndex('p', '-14.0261', 1, 70);
model.geom('geom1').feature('b2').setIndex('p', '11.8524', 0, 71);
model.geom('geom1').feature('b2').setIndex('p', '-20.8691', 1, 71);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '11.8524' '11.8524';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-20.8691' '-20.8691';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '8.1727', 0, 72);
model.geom('geom1').feature('b2').setIndex('p', '-22.9590', 1, 72);
model.geom('geom1').feature('b2').setIndex('p', '4', 0, 73);
model.geom('geom1').feature('b2').setIndex('p', '-23.6643', 1, 73);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-23.6643';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-29.7490', 1, 74);
model.geom('geom1').feature('b2').setIndex('p', 'z5', 2, 74);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').setIndex('p', '6', 0, 74);
model.geom('geom1').feature('b2').setIndex('p', '4', 0, 74);
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-29.7490';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '6', 0, 75);
model.geom('geom1').feature('b2').setIndex('p', '-31.4325', 1, 75);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6' '6';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.4325' '-31.4325';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '6.8231', 0, 76);
model.geom('geom1').feature('b2').setIndex('p', '-31.2754', 1, 76);
model.geom('geom1').feature('b2').setIndex('p', '7.6368', 0, 77);
model.geom('geom1').feature('b2').setIndex('p', '-31.0754', 1, 77);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '7.6368' '7.6368';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-31.0754' '-31.0754';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '8.7220', 0, 78);
model.geom('geom1').feature('b2').setIndex('p', '-30.8087', 1, 78);
model.geom('geom1').feature('b2').setIndex('p', '9.7859', 0, 79);
model.geom('geom1').feature('b2').setIndex('p', '-30.4670', 1, 79);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'9.7859' '9.7859';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-30.4670' '-30.4670';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '31.9215', 0, 80);
model.geom('geom1').feature('b2').setIndex('p', '-23.3571', 1, 80);
model.geom('geom1').feature('b2').setIndex('p', '31.9998', 0, 81);
model.geom('geom1').feature('b2').setIndex('p', '-0.1078', 1, 81);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '31.9998' '31.9998';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '-0.1078' '-0.1078';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '32.0782', 0, 82);
model.geom('geom1').feature('b2').setIndex('p', '23.1414', 1, 82);
model.geom('geom1').feature('b2').setIndex('p', '9.9910', 0, 83);
model.geom('geom1').feature('b2').setIndex('p', '30.4003', 1, 83);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '32.0782' '9.9910' '9.9910' '9.9910';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '23.1414' '30.4003' '30.4003' '30.4003';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '7.8654', 0, 84);
model.geom('geom1').feature('b2').setIndex('p', '31.0990', 1, 84);
model.geom('geom1').feature('b2').setIndex('p', '5.6629', 0, 85);
model.geom('geom1').feature('b2').setIndex('p', '31.4949', 1, 85);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 2]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '32.0782' '9.9910' '7.8654' '5.6629' '5.6629' '5.6629';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '23.1414' '30.4003' '31.0990' '31.4949' '31.4949' '31.4949';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'});
model.geom('geom1').feature('b2').setIndex('p', '4.8382', 0, 86);
model.geom('geom1').feature('b2').setIndex('p', '31.6432', 1, 86);
model.geom('geom1').feature('b2').setIndex('p', '4', 0, 87);
model.geom('geom1').feature('b2').setIndex('p', '31.7482', 1, 87);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 2 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '32.0782' '9.9910' '7.8654' '5.6629' '4.8382' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '23.1414' '30.4003' '31.0990' '31.4949' '31.6432' '31.7482' '31.7482';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '-23', 2, 88);
model.geom('geom1').run('b2');
model.geom('geom1').feature('b2').set('degree', [1 1 2 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 1 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 1 1 2 2 2 2 2 2 1 1]);
model.geom('geom1').feature('b2').set('p', {'75' '-4' '-4' '-4.8382' '-5.6629' '-7.8652' '-9.9910' '-32.0782' '-31.9998' '-31.9215'  ...
'-9.7859' '-8.7220' '-7.6368' '-6.8231' '-6' '-4' '-4' '-8.1727' '-11.8524' '-23.9012'  ...
'-23.9994' '-24.0976' '-12.1728' '-10.7264' '-9.1757' '-7.6250' '-6' '-4' '-4' '-5.0833'  ...
'-6.1171' '-7.1510' '-8.1152' '-15.9961' '-16' '-16.0039' '-8.0059' '-7.0372' '-6' '-4'  ...
'-4' '-8' '-8' '-8' '-4' '4' '8' '8' '8' '4'  ...
'4' '6' '7.0372' '8.0059' '16.0039' '16' '15.9961' '8.1152' '7.1510' '6.1171'  ...
'5.0833' '4' '4' '6' '7.6250' '9.1757' '10.7264' '12.1728' '24.0976' '23.9994'  ...
'23.9012' '11.8524' '8.1727' '4' '4' '6' '6.8231' '7.6368' '8.7220' '9.7859'  ...
'31.9215' '31.9998' '32.0782' '9.9910' '7.8654' '5.6629' '4.8382' '4' '4' '4';  ...
'-31.7482' '-31.7482' '-31.7482' '-31.6432' '-31.4949' '-31.0990' '-30.4003' '-23.1414' '0.1078' '23.3571'  ...
'30.4670' '30.8087' '31.0754' '31.2754' '31.4325' '29.7490' '23.6643' '22.9590' '20.8691' '14.0261'  ...
'0.17' '-13.6860' '-20.6839' '-21.5351' '-22.1767' '-22.8183' '-23.2379' '-21.6643' '-15.4919' '-15.2122'  ...
'-14.7845' '-14.3567' '-13.7893' '-9.2444' '-0.0068' '9.2308' '13.8530' '14.4128' '14.8324' '13.4919'  ...
'6.9282' '4.6188' '0' '-4' '-4' '4' '4' '0' '-4.6188' '-6.9282'  ...
'-13.4919' '-14.8324' '-14.4128' '-13.8530' '-9.2308' '0.0068' '9.2444' '13.7893' '14.3567' '14.7845'  ...
'15.2122' '15.4919' '21.6643' '23.2379' '22.8183' '22.1767' '21.5351' '20.6839' '13.6860' '-0.17'  ...
'-14.0261' '-20.8691' '-22.9590' '-23.6643' '-29.7490' '-31.4325' '-31.2754' '-31.0754' '-30.8087' '-30.4670'  ...
'-23.3571' '-0.1078' '23.1414' '30.4003' '31.0990' '31.4949' '31.6432' '31.7482' '31.7482' '31.7482';  ...
'-23' '-23' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z7' 'z7'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8' 'z8'  ...
'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7' 'z7'  ...
'z7' 'z7' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6' 'z6'  ...
'z6' 'z6' 'z6' 'z6' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5'  ...
'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' 'z5' '-23' '-23'});
model.geom('geom1').feature('b2').set('w', {'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1'  ...
'1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1' '1' '1'  ...
'1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1'  ...
'1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1/sqrt(2)' '1' '1' '1'  ...
'1' '1'});
model.geom('geom1').feature('b2').setIndex('p', '75', 0, 89);
model.geom('geom1').run('b2');
model.geom('geom1').run('b2');
model.geom('geom1').create('mir1', 'Mirror');
model.geom('geom1').feature('mir1').selection('input').set({'b2'});
model.geom('geom1').feature('mir1').set('axis', {'1' '0' '0'});
model.geom('geom1').run('mir1');
model.geom('geom1').feature('mir1').set('axis', {'0' '1' '0'});
model.geom('geom1').run('mir1');
model.geom('geom1').run('mir1');
model.geom('geom1').create('blk1', 'Block');
model.geom('geom1').feature('blk1').set('size', {'150' '150' '205'});
model.geom('geom1').feature('blk1').set('pos', {'-75' '-75' '-75'});
model.geom('geom1').run('blk1');

model.view('view1').set('transparency', 'on');

model.geom('geom1').run('blk1');
model.geom('geom1').create('imp2', 'Import');
model.geom('geom1').feature('imp2').set('type', 'cad');
model.geom('geom1').feature('imp2').set('keepsolid', 'off');
model.geom('geom1').feature('imp2').set('keepbnd', 'off');
model.geom('geom1').feature('imp2').set('keepfree', 'on');
model.geom('geom1').feature('imp2').set('filename', 'C:\Users\USER\Desktop\tradition cooling channels.IGS');
model.geom('geom1').run('imp2');

model.selection.create('sel1', 'Explicit');

model.geom('geom1').run;

model.selection('sel1').geom(1);
model.selection('sel1').set('groupcontang', 'on');
model.selection('sel1').set('angletol', '150');
model.selection('sel1').add([744]);
model.selection('sel1').remove([744]);
model.selection('sel1').add([437]);
model.selection('sel1').add([565]);
model.selection('sel1').label('cooling channels');
model.selection.create('sel2', 'Explicit');
model.selection('sel2').geom(1);
model.selection('sel2').set([744]);
model.selection('sel2').set('groupcontang', 'on');
model.selection('sel2').set('angletol', '150');
model.selection('sel2').add([742]);
model.selection('sel2').label('tradition cooling channels');

model.material.create('mat1', 'Common', 'comp1');
model.material('mat1').label('Water, liquid');
model.material('mat1').set('family', 'water');
model.material('mat1').propertyGroup('def').set('dynamicviscosity', 'eta(T[1/K])[Pa*s]');
model.material('mat1').propertyGroup('def').set('ratioofspecificheat', '1.0');
model.material('mat1').propertyGroup('def').set('electricconductivity', '5.5e-6[S/m]');
model.material('mat1').propertyGroup('def').set('heatcapacity', 'Cp(T[1/K])[J/(kg*K)]');
model.material('mat1').propertyGroup('def').set('density', 'rho(T[1/K])[kg/m^3]');
model.material('mat1').propertyGroup('def').set('thermalconductivity', 'k(T[1/K])[W/(m*K)]');
model.material('mat1').propertyGroup('def').set('soundspeed', 'cs(T[1/K])[m/s]');
model.material('mat1').propertyGroup('def').func.create('eta', 'Piecewise');
model.material('mat1').propertyGroup('def').func('eta').set('funcname', 'eta');
model.material('mat1').propertyGroup('def').func('eta').set('arg', 'T');
model.material('mat1').propertyGroup('def').func('eta').set('extrap', 'constant');
model.material('mat1').propertyGroup('def').func('eta').set('pieces', {'273.15' '413.15' '1.3799566804-0.021224019151*T^1+1.3604562827E-4*T^2-4.6454090319E-7*T^3+8.9042735735E-10*T^4-9.0790692686E-13*T^5+3.8457331488E-16*T^6'; ...
'413.15' '553.75' '0.00401235783-2.10746715E-5*T^1+3.85772275E-8*T^2-2.39730284E-11*T^3'});
model.material('mat1').propertyGroup('def').func.create('Cp', 'Piecewise');
model.material('mat1').propertyGroup('def').func('Cp').set('funcname', 'Cp');
model.material('mat1').propertyGroup('def').func('Cp').set('arg', 'T');
model.material('mat1').propertyGroup('def').func('Cp').set('extrap', 'constant');
model.material('mat1').propertyGroup('def').func('Cp').set('pieces', {'273.15' '553.75' '12010.1471-80.4072879*T^1+0.309866854*T^2-5.38186884E-4*T^3+3.62536437E-7*T^4'});
model.material('mat1').propertyGroup('def').func.create('rho', 'Piecewise');
model.material('mat1').propertyGroup('def').func('rho').set('funcname', 'rho');
model.material('mat1').propertyGroup('def').func('rho').set('arg', 'T');
model.material('mat1').propertyGroup('def').func('rho').set('extrap', 'constant');
model.material('mat1').propertyGroup('def').func('rho').set('pieces', {'273.15' '553.75' '838.466135+1.40050603*T^1-0.0030112376*T^2+3.71822313E-7*T^3'});
model.material('mat1').propertyGroup('def').func.create('k', 'Piecewise');
model.material('mat1').propertyGroup('def').func('k').set('funcname', 'k');
model.material('mat1').propertyGroup('def').func('k').set('arg', 'T');
model.material('mat1').propertyGroup('def').func('k').set('extrap', 'constant');
model.material('mat1').propertyGroup('def').func('k').set('pieces', {'273.15' '553.75' '-0.869083936+0.00894880345*T^1-1.58366345E-5*T^2+7.97543259E-9*T^3'});
model.material('mat1').propertyGroup('def').func.create('cs', 'Interpolation');
model.material('mat1').propertyGroup('def').func('cs').set('sourcetype', 'user');
model.material('mat1').propertyGroup('def').func('cs').set('source', 'table');
model.material('mat1').propertyGroup('def').func('cs').set('funcname', 'cs');
model.material('mat1').propertyGroup('def').func('cs').set('table', {'273' '1403';  ...
'278' '1427';  ...
'283' '1447';  ...
'293' '1481';  ...
'303' '1507';  ...
'313' '1526';  ...
'323' '1541';  ...
'333' '1552';  ...
'343' '1555';  ...
'353' '1555';  ...
'363' '1550';  ...
'373' '1543'});
model.material('mat1').propertyGroup('def').func('cs').set('interp', 'piecewisecubic');
model.material('mat1').propertyGroup('def').func('cs').set('extrap', 'const');
model.material('mat1').propertyGroup('def').addInput('temperature');
model.material('mat1').set('family', 'water');
model.material('mat1').selection.geom('geom1', 1);
model.material('mat1').selection.named('sel1');
model.material.create('mat2', 'Common', 'comp1');
model.material('mat2').label('Water, liquid 1');
model.material('mat2').set('family', 'water');
model.material('mat2').propertyGroup('def').set('dynamicviscosity', 'eta(T[1/K])[Pa*s]');
model.material('mat2').propertyGroup('def').set('ratioofspecificheat', '1.0');
model.material('mat2').propertyGroup('def').set('electricconductivity', '5.5e-6[S/m]');
model.material('mat2').propertyGroup('def').set('heatcapacity', 'Cp(T[1/K])[J/(kg*K)]');
model.material('mat2').propertyGroup('def').set('density', 'rho(T[1/K])[kg/m^3]');
model.material('mat2').propertyGroup('def').set('thermalconductivity', 'k(T[1/K])[W/(m*K)]');
model.material('mat2').propertyGroup('def').set('soundspeed', 'cs(T[1/K])[m/s]');
model.material('mat2').propertyGroup('def').func.create('eta', 'Piecewise');
model.material('mat2').propertyGroup('def').func('eta').set('funcname', 'eta');
model.material('mat2').propertyGroup('def').func('eta').set('arg', 'T');
model.material('mat2').propertyGroup('def').func('eta').set('extrap', 'constant');
model.material('mat2').propertyGroup('def').func('eta').set('pieces', {'273.15' '413.15' '1.3799566804-0.021224019151*T^1+1.3604562827E-4*T^2-4.6454090319E-7*T^3+8.9042735735E-10*T^4-9.0790692686E-13*T^5+3.8457331488E-16*T^6'; ...
'413.15' '553.75' '0.00401235783-2.10746715E-5*T^1+3.85772275E-8*T^2-2.39730284E-11*T^3'});
model.material('mat2').propertyGroup('def').func.create('Cp', 'Piecewise');
model.material('mat2').propertyGroup('def').func('Cp').set('funcname', 'Cp');
model.material('mat2').propertyGroup('def').func('Cp').set('arg', 'T');
model.material('mat2').propertyGroup('def').func('Cp').set('extrap', 'constant');
model.material('mat2').propertyGroup('def').func('Cp').set('pieces', {'273.15' '553.75' '12010.1471-80.4072879*T^1+0.309866854*T^2-5.38186884E-4*T^3+3.62536437E-7*T^4'});
model.material('mat2').propertyGroup('def').func.create('rho', 'Piecewise');
model.material('mat2').propertyGroup('def').func('rho').set('funcname', 'rho');
model.material('mat2').propertyGroup('def').func('rho').set('arg', 'T');
model.material('mat2').propertyGroup('def').func('rho').set('extrap', 'constant');
model.material('mat2').propertyGroup('def').func('rho').set('pieces', {'273.15' '553.75' '838.466135+1.40050603*T^1-0.0030112376*T^2+3.71822313E-7*T^3'});
model.material('mat2').propertyGroup('def').func.create('k', 'Piecewise');
model.material('mat2').propertyGroup('def').func('k').set('funcname', 'k');
model.material('mat2').propertyGroup('def').func('k').set('arg', 'T');
model.material('mat2').propertyGroup('def').func('k').set('extrap', 'constant');
model.material('mat2').propertyGroup('def').func('k').set('pieces', {'273.15' '553.75' '-0.869083936+0.00894880345*T^1-1.58366345E-5*T^2+7.97543259E-9*T^3'});
model.material('mat2').propertyGroup('def').func.create('cs', 'Interpolation');
model.material('mat2').propertyGroup('def').func('cs').set('sourcetype', 'user');
model.material('mat2').propertyGroup('def').func('cs').set('source', 'table');
model.material('mat2').propertyGroup('def').func('cs').set('funcname', 'cs');
model.material('mat2').propertyGroup('def').func('cs').set('table', {'273' '1403';  ...
'278' '1427';  ...
'283' '1447';  ...
'293' '1481';  ...
'303' '1507';  ...
'313' '1526';  ...
'323' '1541';  ...
'333' '1552';  ...
'343' '1555';  ...
'353' '1555';  ...
'363' '1550';  ...
'373' '1543'});
model.material('mat2').propertyGroup('def').func('cs').set('interp', 'piecewisecubic');
model.material('mat2').propertyGroup('def').func('cs').set('extrap', 'const');
model.material('mat2').propertyGroup('def').addInput('temperature');
model.material('mat2').set('family', 'water');
model.material('mat2').selection.geom('geom1', 1);
model.material('mat2').selection.named('sel2');
model.material.create('mat3', 'Common', 'comp1');
model.material('mat3').label('ZeonexE48R (Sultanova)');
model.material('mat3').propertyGroup.create('RefractiveIndex', 'Refractive index');
model.material('mat3').propertyGroup('RefractiveIndex').set('n', 'n_interp(1[1/m]*c_const/freq)');
model.material('mat3').propertyGroup('RefractiveIndex').set('ki', 'k_interp(1[1/m]*c_const/freq)');
model.material('mat3').propertyGroup('RefractiveIndex').func.create('n_interp', 'Interpolation');
model.material('mat3').propertyGroup('RefractiveIndex').func('n_interp').set('sourcetype', 'user');
model.material('mat3').propertyGroup('RefractiveIndex').func('n_interp').set('source', 'table');
model.material('mat3').propertyGroup('RefractiveIndex').func('n_interp').set('funcname', 'n_interp');
model.material('mat3').propertyGroup('RefractiveIndex').func('n_interp').set('table', {'4.368E-7' '1.5433038777707075';  ...
'4.42952E-7' '1.5424968527498206';  ...
'4.4910399999999997E-7' '1.5417250985549464';  ...
'4.5525599999999996E-7' '1.5409865583933662';  ...
'4.61408E-7' '1.5402793253058433';  ...
'4.6756E-7' '1.5396016290942518';  ...
'4.7371200000000003E-7' '1.5389518245754457';  ...
'4.79864E-7' '1.5383283810082797';  ...
'4.86016E-7' '1.5377298725604753';  ...
'4.92168E-7' '1.537154969698962';  ...
'4.9832E-7' '1.5366024314018998';  ...
'5.04472E-7' '1.5360710981031493';  ...
'5.10624E-7' '1.5355598852907897';  ...
'5.167759999999999E-7' '1.5350677776906874';  ...
'5.22928E-7' '1.5345938239742605';  ...
'5.2908E-7' '1.534137131936668';  ...
'5.35232E-7' '1.533696864097829';  ...
'5.41384E-7' '1.5332722336840718';  ...
'5.47536E-7' '1.532862500952918';  ...
'5.53688E-7' '1.532466969827652';  ...
'5.5984E-7' '1.532084984811953';  ...
'5.659920000000001E-7' '1.531715928158054';  ...
'5.721439999999999E-7' '1.5313592172647157';  ...
'5.78296E-7' '1.5310143022837839';  ...
'5.84448E-7' '1.5306806639162918';  ...
'5.906E-7' '1.5303578113810212';  ...
'5.967519999999999E-7' '1.530045280540157';  ...
'6.02904E-7' '1.5297426321682035';  ...
'6.09056E-7' '1.5294494503516987';  ...
'6.15208E-7' '1.5291653410084698';  ...
'6.2136E-7' '1.5288899305162684';  ...
'6.275119999999999E-7' '1.5286228644415805';  ...
'6.33664E-7' '1.528363806360284';  ...
'6.39816E-7' '1.5281124367625956';  ...
'6.45968E-7' '1.5278684520354469';  ...
'6.5212E-7' '1.5276315635160582';  ...
'6.58272E-7' '1.527401496611037';  ...
'6.64424E-7' '1.5271779899758327';  ...
'6.705760000000001E-7' '1.526960794749844';  ...
'6.767279999999999E-7' '1.526749673842878';  ...
'6.828799999999999E-7' '1.526544401269033';  ...
'6.89032E-7' '1.5263447615244212';  ...
'6.95184E-7' '1.5261505490054412';  ...
'7.013359999999999E-7' '1.5259615674645937';  ...
'7.07488E-7' '1.525777629501081';  ...
'7.1364E-7' '1.5255985560836574';  ...
'7.19792E-7' '1.5254241761034066';  ...
'7.259439999999998E-7' '1.5252543259543074';  ...
'7.32096E-7' '1.5250888491396242';  ...
'7.38248E-7' '1.5249275959023048';  ...
'7.443999999999999E-7' '1.524770422877729';  ...
'7.50552E-7' '1.5246171927672574';  ...
'7.56704E-7' '1.524467774031169';  ...
'7.62856E-7' '1.5243220405996722';  ...
'7.690079999999999E-7' '1.5241798716007817';  ...
'7.751600000000001E-7' '1.524041151103935';  ...
'7.81312E-7' '1.523905767878317';  ...
'7.87464E-7' '1.5237736151649277';  ...
'7.936159999999999E-7' '1.5236445904615064';  ...
'7.99768E-7' '1.523518595319482';  ...
'8.059199999999999E-7' '1.5233955351521908';  ...
'8.12072E-7' '1.5232753190536399';  ...
'8.182239999999999E-7' '1.523157859627165';  ...
'8.24376E-7' '1.5230430728233626';  ...
'8.305279999999999E-7' '1.522930877786725';  ...
'8.3668E-7' '1.5228211967104472';  ...
'8.42832E-7' '1.52271395469891';  ...
'8.489839999999999E-7' '1.5226090796373737';  ...
'8.55136E-7' '1.5225065020684583';  ...
'8.61288E-7' '1.5224061550750003';  ...
'8.6744E-7' '1.5223079741689163';  ...
'8.735919999999999E-7' '1.5222118971857204';  ...
'8.79744E-7' '1.5221178641843682';  ...
'8.85896E-7' '1.5220258173521224';  ...
'8.920479999999999E-7' '1.5219357009141494';  ...
'8.982E-7' '1.5218474610475836';  ...
'9.04352E-7' '1.521761045799805';  ...
'9.105039999999999E-7' '1.5216764050106968';  ...
'9.16656E-7' '1.521593490238658';  ...
'9.22808E-7' '1.5215122546901718';  ...
'9.2896E-7' '1.5214326531527267';  ...
'9.351119999999999E-7' '1.5213546419309145';  ...
'9.412640000000001E-7' '1.5212781787855332';  ...
'9.47416E-7' '1.52120322287553';  ...
'9.535679999999999E-7' '1.5211297347026373';  ...
'9.597199999999998E-7' '1.5210576760585597';  ...
'9.65872E-7' '1.5209870099745726';  ...
'9.72024E-7' '1.520917700673416';  ...
'9.78176E-7' '1.520849713523356';  ...
'9.84328E-7' '1.5207830149943071';  ...
'9.9048E-7' '1.5207175726159088';  ...
'9.96632E-7' '1.5206533549374592';  ...
'1.002784E-6' '1.5205903314896079';  ...
'1.008936E-6' '1.520528472747724';  ...
'1.015088E-6' '1.5204677500968542';  ...
'1.02124E-6' '1.5204081357981931';  ...
'1.027392E-6' '1.520349602956989';  ...
'1.0335439999999999E-6' '1.5202921254918194';  ...
'1.0396959999999999E-6' '1.5202356781051647';  ...
'1.0458479999999999E-6' '1.5201802362552226';  ...
'1.052E-6' '1.5201257761288993'});
model.material('mat3').propertyGroup('RefractiveIndex').func('n_interp').set('interp', 'piecewisecubic');
model.material('mat3').propertyGroup('RefractiveIndex').func('n_interp').set('extrap', 'const');
model.material('mat3').propertyGroup('RefractiveIndex').func.create('k_interp', 'Interpolation');
model.material('mat3').propertyGroup('RefractiveIndex').func('k_interp').set('sourcetype', 'user');
model.material('mat3').propertyGroup('RefractiveIndex').func('k_interp').set('source', 'table');
model.material('mat3').propertyGroup('RefractiveIndex').func('k_interp').set('funcname', 'k_interp');
model.material('mat3').propertyGroup('RefractiveIndex').func('k_interp').set('table', {'4.368E-7' '0.0'; '7.443999999999999E-7' '0.0'; '1.052E-6' '0.0'});
model.material('mat3').propertyGroup('RefractiveIndex').func('k_interp').set('interp', 'piecewisecubic');
model.material('mat3').propertyGroup('RefractiveIndex').func('k_interp').set('extrap', 'const');
model.material('mat3').propertyGroup('RefractiveIndex').addInput('frequency');
model.material('mat3').selection.set([2]);
model.material('mat3').propertyGroup('def').set('density', {'1010'});
model.material('mat3').propertyGroup('def').set('thermalconductivity', {'-5e-9*(T^3)+5e-6*(T^2)-0.0016*T+0.2901[W/(m*K)]'});
model.material('mat3').propertyGroup('def').set('heatcapacity', {'-7e-5*(T^3)+0.0713*(T^2)-15.655*T+1288.8[J/(kg*K)]'});
model.material('mat3').propertyGroup('def').addInput('temperature');
model.material.create('mat4', 'Common', 'comp1');
model.material('mat4').selection.set([1]);
model.material('mat4').propertyGroup('def').set('density', {'7700'});
model.material('mat4').propertyGroup('def').set('thermalconductivity', {'41.32'});
model.material('mat4').propertyGroup('def').set('heatcapacity', {'480'});
model.material('mat4').label('NAK80');

model.physics('nipfl').selection.named('sel1');
model.physics('nipfl').feature('pipe1').set('shape', 'Round');
model.physics('nipfl').feature('pipe1').set('innerd', '4[mm]');
model.physics('nipfl').feature('pipe1').set('roughness', '3');
model.physics('nipfl').feature('temp1').set('Tin', 'T_inlet');
model.physics('nipfl').feature.create('inl1', 'Inlet', 0);
model.physics('nipfl').feature('inl1').selection.set([434 435]);
model.physics('nipfl').feature('inl1').set('spec', '1');
model.physics('nipfl').feature('inl1').set('qv0', '0.6914922[l/min]');
model.physics('nipfl').feature.create('hofl1', 'HeatOutflow', 0);
model.physics('nipfl').feature('hofl1').selection.set([440 441]);
model.physics('nipfl').feature.create('wht1', 'WallHeatTransfer', 1);
model.physics('nipfl').feature('wht1').selection.named('sel1');
model.physics('nipfl').feature('wht1').set('Text_src', 'root.comp1.T3');
model.physics('nipfl').feature('wht1').feature.create('intfilm1', 'InternalFilmResistance', 1);
model.physics('nipfl').feature('init1').set('u', '0.91712');
model.physics('nipfl').feature('init1').set('T', 'T_init_mold');
model.physics('nipfl2').selection.named('sel2');
model.physics('nipfl2').feature('pipe1').set('shape', 'Round');
model.physics('nipfl2').feature('pipe1').set('innerd', '10[mm]');
model.physics('nipfl2').feature('pipe1').set('roughness', '3');
model.physics('nipfl2').feature('temp1').set('Tin', 'T_inlet');
model.physics('nipfl2').feature.create('inl1', 'Inlet', 0);
model.physics('nipfl2').feature('inl1').selection.set([436 437]);
model.physics('nipfl2').feature('inl1').set('spec', '1');
model.physics('nipfl2').feature('inl1').set('qv0', '6.914940738[l/min]');
model.physics('nipfl2').feature.create('hofl1', 'HeatOutflow', 0);
model.physics('nipfl2').feature('hofl1').selection.set([438 439]);
model.physics('nipfl2').feature.create('wht1', 'WallHeatTransfer', 1);
model.physics('nipfl2').feature('wht1').selection.named('sel2');
model.physics('nipfl2').feature('wht1').set('Text_src', 'root.comp1.T3');
model.physics('nipfl2').feature('wht1').feature.create('intfilm1', 'InternalFilmResistance', 1);
model.physics('nipfl2').feature('init1').set('u2', '0.366849');
model.physics('nipfl2').feature('init1').set('T2', 'T_init_mold');
model.physics('ht').selection.set([1]);
model.physics('ht').feature('init1').set('Tinit', 'T_init_mold');
model.physics('ht').feature.create('hf1', 'HeatFluxBoundary', 2);
model.physics('ht').feature('hf1').selection.all;
model.physics('ht').feature('hf1').set('HeatFluxType', 'ConvectiveHeatFlux');
model.physics('ht').feature('hf1').set('h', '2');
model.physics('ht2').selection.set([2]);
model.physics('ht2').feature('init1').set('Tinit', 'T_init_part');
model.physics('ht2').feature.create('hf1', 'HeatFluxBoundary', 2);
model.physics('ht2').feature('hf1').set('HeatFluxType', 'ConvectiveHeatFlux');
model.physics('ht2').feature('hf1').set('h', '2');

model.mesh('mesh1').create('edg1', 'Edge');
model.mesh('mesh1').feature('edg1').selection.named('sel1');
model.mesh('mesh1').feature('edg1').create('size1', 'Size');
model.mesh('mesh1').feature('edg1').feature('size1').set('hauto', '2');
model.mesh('mesh1').create('edg2', 'Edge');
model.mesh('mesh1').feature('edg2').selection.named('sel2');
model.mesh('mesh1').feature('edg2').create('size1', 'Size');
model.mesh('mesh1').feature('edg2').feature('size1').set('hauto', '4');
model.mesh('mesh1').create('ftet1', 'FreeTet');
model.mesh('mesh1').feature('size').set('custom', 'on');
model.mesh('mesh1').feature('size').set('hmax', '10');
model.mesh('mesh1').feature('size').set('hmin', '1e-2');
model.mesh('mesh1').run;
model.mesh('mesh1').feature('edg2').feature('size1').set('hauto', '2');
model.mesh('mesh1').run;

model.study('std1').feature('time').set('tlist', 'range(0,0.1,20)');

model.sol.create('sol1');
model.sol('sol1').study('std1');

model.study('std1').feature('time').set('notlistsolnum', 1);
model.study('std1').feature('time').set('notsolnum', '1');
model.study('std1').feature('time').set('listsolnum', 1);
model.study('std1').feature('time').set('solnum', '1');

model.sol('sol1').create('st1', 'StudyStep');
model.sol('sol1').feature('st1').set('study', 'std1');
model.sol('sol1').feature('st1').set('studystep', 'time');
model.sol('sol1').create('v1', 'Variables');
model.sol('sol1').feature('v1').set('control', 'time');
model.sol('sol1').create('t1', 'Time');
model.sol('sol1').feature('t1').set('tlist', 'range(0,0.1,20)');
model.sol('sol1').feature('t1').set('plot', 'off');
model.sol('sol1').feature('t1').set('plotgroup', 'Default');
model.sol('sol1').feature('t1').set('plotfreq', 'tout');
model.sol('sol1').feature('t1').set('probesel', 'all');
model.sol('sol1').feature('t1').set('probes', {});
model.sol('sol1').feature('t1').set('probefreq', 'tsteps');
model.sol('sol1').feature('t1').set('atolglobalmethod', 'scaled');
model.sol('sol1').feature('t1').set('atolglobal', 0.001);
model.sol('sol1').feature('t1').set('estrat', 'exclude');
model.sol('sol1').feature('t1').set('maxorder', 2);
model.sol('sol1').feature('t1').set('control', 'time');
model.sol('sol1').feature('t1').create('seDef', 'Segregated');
model.sol('sol1').feature('t1').create('se1', 'Segregated');
model.sol('sol1').feature('t1').feature('se1').feature.remove('ssDef');
model.sol('sol1').feature('t1').feature('se1').create('ss1', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('segvar', {'comp1_T3'});
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i1', 'Iterative');
model.sol('sol1').feature('t1').feature('i1').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i1').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i1').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i1').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i1').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('linsolver', 'i1');
model.sol('sol1').feature('t1').feature('se1').create('ss2', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('segvar', {'comp1_T4'});
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i2', 'Iterative');
model.sol('sol1').feature('t1').feature('i2').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i2').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i2').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i2').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i2').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('linsolver', 'i2');
model.sol('sol1').feature('t1').feature('se1').create('ss3', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('segvar', {'comp1_p2' 'comp1_u2' 'comp1_T2' 'comp1_nipfl2_wht1_intfilm1_Tout' 'comp1_p' 'comp1_u' 'comp1_T' 'comp1_nipfl_wht1_intfilm1_Tout'});
model.sol('sol1').feature('t1').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('d1').set('mumpsalloc', 1.5);
model.sol('sol1').feature('t1').feature('d1').set('linsolver', 'mumps');
model.sol('sol1').feature('t1').feature('d1').set('rhob', 400);
model.sol('sol1').feature('t1').feature('d1').set('ooc', false);
model.sol('sol1').feature('t1').feature('d1').set('errorchk', 'auto');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('linsolver', 'd1');
model.sol('sol1').feature('t1').feature('se1').create('ll1', 'LowerLimit');
model.sol('sol1').feature('t1').feature('se1').feature('ll1').set('lowerlimit', 'comp1.T4 0 comp1.T3 0 ');
model.sol('sol1').feature('t1').feature.remove('fcDef');
model.sol('sol1').feature('t1').feature.remove('seDef');
model.sol('sol1').attach('std1');

model.result.create('pg1', 'PlotGroup3D');
model.result('pg1').label('Pressure (nipfl)');
model.result('pg1').set('oldanalysistype', 'noneavailable');
model.result('pg1').set('data', 'dset1');
model.result('pg1').feature.create('line1', 'Line');
model.result('pg1').feature('line1').label('Line 1.1');
model.result('pg1').feature('line1').set('oldanalysistype', 'noneavailable');
model.result('pg1').feature('line1').set('expr', 'p');
model.result('pg1').feature('line1').set('linetype', 'tube');
model.result('pg1').feature('line1').set('radiusexpr', '0.5*nipfl.dh');
model.result('pg1').feature('line1').set('colortable', 'RainbowLight');
model.result('pg1').feature('line1').set('data', 'parent');
model.result.create('pg2', 'PlotGroup3D');
model.result('pg2').label('Velocity (nipfl)');
model.result('pg2').set('oldanalysistype', 'noneavailable');
model.result('pg2').set('data', 'dset1');
model.result('pg2').feature.create('arwl1', 'ArrowLine');
model.result('pg2').feature('arwl1').label('Arrow Line 1.1');
model.result('pg2').feature('arwl1').set('oldanalysistype', 'noneavailable');
model.result('pg2').feature('arwl1').set('arrowlength', 'normalized');
model.result('pg2').feature('arwl1').set('arrowcount', 20);
model.result('pg2').feature('arwl1').set('data', 'parent');
model.result('pg2').feature('arwl1').feature.create('col1', 'Color');
model.result('pg2').feature('arwl1').feature('col1').label('Color Expression 1.1');
model.result('pg2').feature('arwl1').feature('col1').set('expr', 'abs(nipfl.u)');
model.result('pg2').feature('arwl1').feature('col1').set('colortable', 'RainbowLight');
model.result.create('pg3', 'PlotGroup3D');
model.result('pg3').label('Temperature (nipfl)');
model.result('pg3').set('oldanalysistype', 'noneavailable');
model.result('pg3').set('data', 'dset1');
model.result('pg3').feature.create('line1', 'Line');
model.result('pg3').feature('line1').label('Line 1.1');
model.result('pg3').feature('line1').set('oldanalysistype', 'noneavailable');
model.result('pg3').feature('line1').set('linetype', 'tube');
model.result('pg3').feature('line1').set('radiusexpr', '0.5*nipfl.dh');
model.result('pg3').feature('line1').set('colortable', 'RainbowLight');
model.result('pg3').feature('line1').set('data', 'parent');
model.result.create('pg4', 'PlotGroup3D');
model.result('pg4').label('Pressure (nipfl2)');
model.result('pg4').set('oldanalysistype', 'noneavailable');
model.result('pg4').set('data', 'dset1');
model.result('pg4').feature.create('line1', 'Line');
model.result('pg4').feature('line1').label('Line 1.1');
model.result('pg4').feature('line1').set('oldanalysistype', 'noneavailable');
model.result('pg4').feature('line1').set('expr', 'p2');
model.result('pg4').feature('line1').set('linetype', 'tube');
model.result('pg4').feature('line1').set('radiusexpr', '0.5*nipfl2.dh');
model.result('pg4').feature('line1').set('colortable', 'RainbowLight');
model.result('pg4').feature('line1').set('data', 'parent');
model.result.create('pg5', 'PlotGroup3D');
model.result('pg5').label('Velocity (nipfl2)');
model.result('pg5').set('oldanalysistype', 'noneavailable');
model.result('pg5').set('data', 'dset1');
model.result('pg5').feature.create('arwl1', 'ArrowLine');
model.result('pg5').feature('arwl1').label('Arrow Line 1.1');
model.result('pg5').feature('arwl1').set('oldanalysistype', 'noneavailable');
model.result('pg5').feature('arwl1').set('expr', {'nipfl2.vx' 'nipfl2.vy' 'nipfl2.vz'});
model.result('pg5').feature('arwl1').set('arrowlength', 'normalized');
model.result('pg5').feature('arwl1').set('arrowcount', 20);
model.result('pg5').feature('arwl1').set('data', 'parent');
model.result('pg5').feature('arwl1').feature.create('col1', 'Color');
model.result('pg5').feature('arwl1').feature('col1').label('Color Expression 1.1');
model.result('pg5').feature('arwl1').feature('col1').set('expr', 'abs(nipfl2.u)');
model.result('pg5').feature('arwl1').feature('col1').set('colortable', 'RainbowLight');
model.result.create('pg6', 'PlotGroup3D');
model.result('pg6').label('Temperature (nipfl2)');
model.result('pg6').set('oldanalysistype', 'noneavailable');
model.result('pg6').set('data', 'dset1');
model.result('pg6').feature.create('line1', 'Line');
model.result('pg6').feature('line1').label('Line 1.1');
model.result('pg6').feature('line1').set('oldanalysistype', 'noneavailable');
model.result('pg6').feature('line1').set('expr', 'T2');
model.result('pg6').feature('line1').set('linetype', 'tube');
model.result('pg6').feature('line1').set('radiusexpr', '0.5*nipfl2.dh');
model.result('pg6').feature('line1').set('colortable', 'RainbowLight');
model.result('pg6').feature('line1').set('data', 'parent');
model.result.create('pg7', 'PlotGroup3D');
model.result('pg7').label('Temperature (ht)');
model.result('pg7').set('oldanalysistype', 'noneavailable');
model.result('pg7').set('data', 'dset1');
model.result('pg7').feature.create('surf1', 'Surface');
model.result('pg7').feature('surf1').set('oldanalysistype', 'noneavailable');
model.result('pg7').feature('surf1').set('expr', 'T3');
model.result('pg7').feature('surf1').set('colortable', 'ThermalLight');
model.result('pg7').feature('surf1').set('data', 'parent');
model.result.create('pg8', 'PlotGroup3D');
model.result('pg8').label('Isothermal Contours (ht)');
model.result('pg8').set('oldanalysistype', 'noneavailable');
model.result('pg8').set('data', 'dset1');
model.result('pg8').feature.create('iso1', 'Isosurface');
model.result('pg8').feature('iso1').set('oldanalysistype', 'noneavailable');
model.result('pg8').feature('iso1').set('expr', 'T3');
model.result('pg8').feature('iso1').set('number', 10);
model.result('pg8').feature('iso1').set('colortable', 'ThermalLight');
model.result('pg8').feature('iso1').set('data', 'parent');
model.result.create('pg9', 'PlotGroup3D');
model.result('pg9').label('Temperature (ht2)');
model.result('pg9').set('oldanalysistype', 'noneavailable');
model.result('pg9').set('data', 'dset1');
model.result('pg9').feature.create('surf1', 'Surface');
model.result('pg9').feature('surf1').set('oldanalysistype', 'noneavailable');
model.result('pg9').feature('surf1').set('expr', 'T4');
model.result('pg9').feature('surf1').set('colortable', 'ThermalLight');
model.result('pg9').feature('surf1').set('data', 'parent');
model.result.create('pg10', 'PlotGroup3D');
model.result('pg10').label('Isothermal Contours (ht2)');
model.result('pg10').set('oldanalysistype', 'noneavailable');
model.result('pg10').set('data', 'dset1');
model.result('pg10').feature.create('iso1', 'Isosurface');
model.result('pg10').feature('iso1').set('oldanalysistype', 'noneavailable');
model.result('pg10').feature('iso1').set('expr', 'T4');
model.result('pg10').feature('iso1').set('number', 10);
model.result('pg10').feature('iso1').set('colortable', 'ThermalLight');
model.result('pg10').feature('iso1').set('data', 'parent');

model.sol('sol1').runAll;

model.result('pg1').run;
model.result.dataset.create('dset2', 'Solution');
model.result.dataset('dset2').selection.geom('geom1', 3);
model.result.dataset('dset2').selection.geom('geom1', 3);
model.result.dataset('dset2').selection.set([2]);
model.result.dataset.create('dset3', 'Solution');
model.result.dataset('dset3').selection.geom('geom1', 3);
model.result.dataset('dset3').selection.geom('geom1', 3);
model.result.dataset('dset3').selection.all;
model.result.dataset('dset3').selection.geom('geom1', 3);
model.result.dataset('dset3').selection.set([2]);
model.result.dataset('dset3').selection.geom('geom1', 3);
model.result.dataset('dset3').selection.all;
model.result.dataset('dset3').selection.geom('geom1', 3);
model.result.dataset('dset3').selection.set([2]);
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.all;
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.set([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 ...
59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 ...
119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 ...
167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 ...
215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 ...
264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 ...
312 313 314 315 316 317 318 319]);
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.set([1 2 3 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 ...
59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 ...
119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 ...
168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 ...
217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 ...
266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 ...
315 316 317 318 319]);
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.set([1 3 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 ...
60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 ...
120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 ...
169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 ...
218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 ...
267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 ...
316 317 318 319]);
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.set([1 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 ...
61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 ...
121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 ...
170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 ...
219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 ...
268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 ...
317 318 319]);
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.all;
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.set([1 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 ...
59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 ...
119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 ...
168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 ...
217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 ...
266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 ...
315 316 317 318 319 320]);
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.set([1 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 ...
59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 ...
119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 ...
167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 ...
215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 ...
263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 ...
311 312 313 314 315 316 317 318 319]);
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.set([3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 ...
59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 ...
119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 ...
167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 ...
215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 ...
263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 ...
311 312 313 314 315 316 317 318 319]);
model.result.dataset('dset3').selection.geom('geom1', 2);
model.result.dataset('dset3').selection.set([3 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 ...
60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 ...
119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 ...
167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 ...
215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 ...
263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 ...
311 312 313 314 315 316 317 318 319]);
model.result('pg3').run;
model.result('pg3').setIndex('looplevel', '184', 0);
model.result('pg3').setIndex('looplevel', '187', 0);
model.result('pg3').run;
model.result('pg3').feature('line1').set('data', 'dset1');
model.result('pg3').feature('line1').setIndex('looplevel', '187', 0);
model.result('pg3').feature('line1').set('data', 'dset1');
model.result('pg3').run;
model.result.dataset('dset1').selection.geom('geom1', 1);
model.result.dataset('dset1').selection.named('sel1');
model.result.dataset.create('dset4', 'Solution');
model.result.dataset('dset4').selection.geom('geom1', 1);
model.result.dataset('dset4').selection.named('sel2');
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('line1').set('tuberadiusscaleactive', 'on');
model.result('pg3').feature('line1').set('tuberadiusscale', '1');
model.result('pg3').feature('line1').set('colorlegend', 'off');

model.view('view1').set('transparency', 'off');

model.result('pg3').run;
model.result('pg3').create('line2', 'Line');
model.result('pg3').feature('line2').set('data', 'dset4');
model.result('pg3').feature('line2').setIndex('looplevel', '187', 0);
model.result('pg3').feature('line2').set('linetype', 'tube');
model.result('pg3').feature('line2').set('radiusexpr', '10');
model.result('pg3').feature('line2').set('tuberadiusscaleactive', 'on');
model.result('pg3').feature('line2').set('expr', 'T2');
model.result('pg3').feature('line2').set('descr', 'Temperature');
model.result('pg3').run;
model.result('pg3').feature('line2').set('radiusexpr', '5');
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('line2').set('radiusexpr', '0.5*nipfl2.dh');
model.result('pg3').run;
model.result('pg3').feature('line2').set('colorlegend', 'off');
model.result('pg3').run;
model.result('pg3').feature('line1').set('colorlegend', 'off');
model.result('pg3').run;
model.result('pg3').set('allowtableupdate', false);
model.result('pg3').set('title', 'Time=18.6 s Line: Temperature (K) Line: Temperature (K)');
model.result('pg3').set('hasbeenplotted', true);
model.result('pg3').feature('line1').set('rangeunit', 'K');
model.result('pg3').feature('line1').set('rangecolormin', 353.1500436792773);
model.result('pg3').feature('line1').set('rangecolormax', 356.2593838951013);
model.result('pg3').feature('line1').set('rangecoloractive', 'off');
model.result('pg3').feature('line1').set('rangedatamin', 353.1500436792773);
model.result('pg3').feature('line1').set('rangedatamax', 356.2593838951013);
model.result('pg3').feature('line1').set('rangedataactive', 'off');
model.result('pg3').feature('line1').set('rangeactualminmax', [353.1500436792773 356.2593838951013]);
model.result('pg3').feature('line1').set('hasbeenplotted', true);
model.result('pg3').feature('line2').set('rangeunit', 'K');
model.result('pg3').feature('line2').set('rangecolormin', 353.15004367927736);
model.result('pg3').feature('line2').set('rangecolormax', 353.6758175303442);
model.result('pg3').feature('line2').set('rangecoloractive', 'off');
model.result('pg3').feature('line2').set('rangedatamin', 353.15004367927736);
model.result('pg3').feature('line2').set('rangedatamax', 353.6758175303442);
model.result('pg3').feature('line2').set('rangedataactive', 'off');
model.result('pg3').feature('line2').set('rangeactualminmax', [353.15004367927736 353.6758175303442]);
model.result('pg3').feature('line2').set('hasbeenplotted', true);
model.result('pg3').set('renderdatacached', false);
model.result('pg3').set('allowtableupdate', true);
model.result('pg3').set('renderdatacached', true);

model.view('view1').set('transparency', 'off');

model.result('pg3').create('surf1', 'Surface');
model.result('pg3').feature('surf1').set('data', 'dset2');
model.result('pg3').feature('surf1').setIndex('looplevel', '187', 0);
model.result('pg3').feature('surf1').set('expr', 'T4');
model.result('pg3').feature('surf1').set('descr', 'Temperature');
model.result('pg3').run;
model.result('pg3').feature('surf1').setIndex('looplevel', '183', 0);
model.result('pg3').feature('surf1').setIndex('looplevel', '166', 0);
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('surf1').set('data', 'none');
model.result('pg3').run;
model.result('pg3').feature('surf1').set('data', 'dset3');
model.result('pg3').run;

model.view('view1').set('transparency', 'off');

model.result('pg3').run;
model.result('pg3').feature('surf1').set('data', 'dset2');
model.result('pg3').feature('surf1').setIndex('looplevel', '164', 0);
model.result('pg3').feature('surf1').set('expr', 'T4');
model.result('pg3').feature('surf1').set('descr', 'Temperature');
model.result('pg3').run;
model.result('pg3').set('allowtableupdate', false);
model.result('pg3').set('title', 'Time=18.6 s Line: Temperature (K) Line: Temperature (K) Surface: Temperature (K)');
model.result('pg3').set('hasbeenplotted', true);
model.result('pg3').feature('line1').set('rangeunit', 'K');
model.result('pg3').feature('line1').set('rangecolormin', 353.1500436792773);
model.result('pg3').feature('line1').set('rangecolormax', 356.2593838951013);
model.result('pg3').feature('line1').set('rangecoloractive', 'off');
model.result('pg3').feature('line1').set('rangedatamin', 353.1500436792773);
model.result('pg3').feature('line1').set('rangedatamax', 356.2593838951013);
model.result('pg3').feature('line1').set('rangedataactive', 'off');
model.result('pg3').feature('line1').set('rangeactualminmax', [353.1500436792773 356.2593838951013]);
model.result('pg3').feature('line1').set('hasbeenplotted', true);
model.result('pg3').feature('line2').set('rangeunit', 'K');
model.result('pg3').feature('line2').set('rangecolormin', 353.15004367927736);
model.result('pg3').feature('line2').set('rangecolormax', 353.6758175303442);
model.result('pg3').feature('line2').set('rangecoloractive', 'off');
model.result('pg3').feature('line2').set('rangedatamin', 353.15004367927736);
model.result('pg3').feature('line2').set('rangedatamax', 353.6758175303442);
model.result('pg3').feature('line2').set('rangedataactive', 'off');
model.result('pg3').feature('line2').set('rangeactualminmax', [353.15004367927736 353.6758175303442]);
model.result('pg3').feature('line2').set('hasbeenplotted', true);
model.result('pg3').feature('surf1').set('rangeunit', 'K');
model.result('pg3').feature('surf1').set('rangecolormin', 488.75);
model.result('pg3').feature('surf1').set('rangecolormax', 488.75);
model.result('pg3').feature('surf1').set('rangecoloractive', 'off');
model.result('pg3').feature('surf1').set('rangedatamin', 488.75);
model.result('pg3').feature('surf1').set('rangedatamax', 488.75);
model.result('pg3').feature('surf1').set('rangedataactive', 'off');
model.result('pg3').feature('surf1').set('rangeactualminmax', [488.75 488.75]);
model.result('pg3').feature('surf1').set('hasbeenplotted', true);
model.result('pg3').set('renderdatacached', false);
model.result('pg3').set('allowtableupdate', true);
model.result('pg3').set('renderdatacached', true);
model.result('pg3').feature('surf1').setIndex('looplevel', '187', 0);
model.result('pg3').run;
model.result('pg3').set('allowtableupdate', false);
model.result('pg3').set('title', 'Time=18.6 s Line: Temperature (K) Line: Temperature (K) Surface: Temperature (K)');
model.result('pg3').set('hasbeenplotted', true);
model.result('pg3').feature('line1').set('rangeunit', 'K');
model.result('pg3').feature('line1').set('rangecolormin', 353.1500436792773);
model.result('pg3').feature('line1').set('rangecolormax', 356.2593838951013);
model.result('pg3').feature('line1').set('rangecoloractive', 'off');
model.result('pg3').feature('line1').set('rangedatamin', 353.1500436792773);
model.result('pg3').feature('line1').set('rangedatamax', 356.2593838951013);
model.result('pg3').feature('line1').set('rangedataactive', 'off');
model.result('pg3').feature('line1').set('rangeactualminmax', [353.1500436792773 356.2593838951013]);
model.result('pg3').feature('line1').set('hasbeenplotted', true);
model.result('pg3').feature('line2').set('rangeunit', 'K');
model.result('pg3').feature('line2').set('rangecolormin', 353.15004367927736);
model.result('pg3').feature('line2').set('rangecolormax', 353.6758175303442);
model.result('pg3').feature('line2').set('rangecoloractive', 'off');
model.result('pg3').feature('line2').set('rangedatamin', 353.15004367927736);
model.result('pg3').feature('line2').set('rangedatamax', 353.6758175303442);
model.result('pg3').feature('line2').set('rangedataactive', 'off');
model.result('pg3').feature('line2').set('rangeactualminmax', [353.15004367927736 353.6758175303442]);
model.result('pg3').feature('line2').set('hasbeenplotted', true);
model.result('pg3').feature('surf1').set('rangeunit', 'K');
model.result('pg3').feature('surf1').set('rangecolormin', 488.75);
model.result('pg3').feature('surf1').set('rangecolormax', 488.75);
model.result('pg3').feature('surf1').set('rangecoloractive', 'off');
model.result('pg3').feature('surf1').set('rangedatamin', 488.75);
model.result('pg3').feature('surf1').set('rangedatamax', 488.75);
model.result('pg3').feature('surf1').set('rangedataactive', 'off');
model.result('pg3').feature('surf1').set('rangeactualminmax', [488.75 488.75]);
model.result('pg3').feature('surf1').set('hasbeenplotted', true);
model.result('pg3').set('renderdatacached', false);
model.result('pg3').set('allowtableupdate', true);
model.result('pg3').set('renderdatacached', true);

model.view('view1').set('transparency', 'on');

model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('surf1').set('expr', 'ht2.gradTmag');
model.result('pg3').feature('surf1').set('descr', 'Temperature gradient magnitude');
model.result('pg3').run;

model.view('view1').set('transparency', 'off');

model.result('pg3').feature('surf1').set('expr', 'T4');
model.result('pg3').feature('surf1').set('descr', 'Temperature');
model.result('pg3').run;

model.view('view1').set('transparency', 'on');

model.result.dataset('dset1').selection.allGeom;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('surf1').set('expr', 'T4');
model.result('pg3').feature('surf1').set('descr', 'Temperature');
model.result('pg3').run;

model.sol('sol1').study('std1');

model.study('std1').feature('time').set('notlistsolnum', 1);
model.study('std1').feature('time').set('notsolnum', '1');
model.study('std1').feature('time').set('listsolnum', 1);
model.study('std1').feature('time').set('solnum', '1');

model.sol('sol1').feature.remove('t1');
model.sol('sol1').feature.remove('v1');
model.sol('sol1').feature.remove('st1');
model.sol('sol1').create('st1', 'StudyStep');
model.sol('sol1').feature('st1').set('study', 'std1');
model.sol('sol1').feature('st1').set('studystep', 'time');
model.sol('sol1').create('v1', 'Variables');
model.sol('sol1').feature('v1').set('control', 'time');
model.sol('sol1').create('t1', 'Time');
model.sol('sol1').feature('t1').set('tlist', 'range(0,0.1,20)');
model.sol('sol1').feature('t1').set('plot', 'off');
model.sol('sol1').feature('t1').set('plotgroup', 'pg1');
model.sol('sol1').feature('t1').set('plotfreq', 'tout');
model.sol('sol1').feature('t1').set('probesel', 'all');
model.sol('sol1').feature('t1').set('probes', {});
model.sol('sol1').feature('t1').set('probefreq', 'tsteps');
model.sol('sol1').feature('t1').set('atolglobalmethod', 'scaled');
model.sol('sol1').feature('t1').set('atolglobal', 0.001);
model.sol('sol1').feature('t1').set('estrat', 'exclude');
model.sol('sol1').feature('t1').set('maxorder', 2);
model.sol('sol1').feature('t1').set('control', 'time');
model.sol('sol1').feature('t1').create('seDef', 'Segregated');
model.sol('sol1').feature('t1').create('se1', 'Segregated');
model.sol('sol1').feature('t1').feature('se1').feature.remove('ssDef');
model.sol('sol1').feature('t1').feature('se1').create('ss1', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('segvar', {'comp1_T3'});
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i1', 'Iterative');
model.sol('sol1').feature('t1').feature('i1').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i1').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i1').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i1').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i1').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('linsolver', 'i1');
model.sol('sol1').feature('t1').feature('se1').create('ss2', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('segvar', {'comp1_T4'});
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i2', 'Iterative');
model.sol('sol1').feature('t1').feature('i2').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i2').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i2').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i2').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i2').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('linsolver', 'i2');
model.sol('sol1').feature('t1').feature('se1').create('ss3', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('segvar', {'comp1_p2' 'comp1_u2' 'comp1_T2' 'comp1_nipfl2_wht1_intfilm1_Tout' 'comp1_p' 'comp1_u' 'comp1_T' 'comp1_nipfl_wht1_intfilm1_Tout'});
model.sol('sol1').feature('t1').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('d1').set('mumpsalloc', 1.5);
model.sol('sol1').feature('t1').feature('d1').set('linsolver', 'mumps');
model.sol('sol1').feature('t1').feature('d1').set('rhob', 400);
model.sol('sol1').feature('t1').feature('d1').set('ooc', false);
model.sol('sol1').feature('t1').feature('d1').set('errorchk', 'auto');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('linsolver', 'd1');
model.sol('sol1').feature('t1').feature('se1').create('ll1', 'LowerLimit');
model.sol('sol1').feature('t1').feature('se1').feature('ll1').set('lowerlimit', 'comp1.T4 0 comp1.T3 0 ');
model.sol('sol1').feature('t1').feature.remove('fcDef');
model.sol('sol1').feature('t1').feature.remove('seDef');
model.sol('sol1').attach('std1');
model.sol('sol1').runAll;

model.result('pg1').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;

model.material('mat3').label('Zeonex 480R (Sultanova)');
model.material('mat3').active(false);
model.material.remove('mat3');
model.material.create('mat5', 'Common', 'comp1');
model.material('mat5').label('480R');
model.material('mat5').propertyGroup('def').set('thermalconductivity', '');
model.material('mat5').propertyGroup('def').set('density', '');
model.material('mat5').propertyGroup('def').set('heatcapacity', '');
model.material('mat5').selection.set([2]);
model.material('mat5').propertyGroup('def').addInput('temperature');
model.material('mat5').propertyGroup('def').set('density', {'1010'});
model.material('mat5').propertyGroup('def').set('thermalconductivity', {'0.211466'});
model.material('mat5').propertyGroup('def').set('heatcapacity', {'2176.09'});

model.sol('sol1').study('std1');

model.study('std1').feature('time').set('notlistsolnum', 1);
model.study('std1').feature('time').set('notsolnum', '1');
model.study('std1').feature('time').set('listsolnum', 1);
model.study('std1').feature('time').set('solnum', '1');

model.sol('sol1').feature.remove('t1');
model.sol('sol1').feature.remove('v1');
model.sol('sol1').feature.remove('st1');
model.sol('sol1').create('st1', 'StudyStep');
model.sol('sol1').feature('st1').set('study', 'std1');
model.sol('sol1').feature('st1').set('studystep', 'time');
model.sol('sol1').create('v1', 'Variables');
model.sol('sol1').feature('v1').set('control', 'time');
model.sol('sol1').create('t1', 'Time');
model.sol('sol1').feature('t1').set('tlist', 'range(0,0.1,20)');
model.sol('sol1').feature('t1').set('plot', 'off');
model.sol('sol1').feature('t1').set('plotgroup', 'pg1');
model.sol('sol1').feature('t1').set('plotfreq', 'tout');
model.sol('sol1').feature('t1').set('probesel', 'all');
model.sol('sol1').feature('t1').set('probes', {});
model.sol('sol1').feature('t1').set('probefreq', 'tsteps');
model.sol('sol1').feature('t1').set('atolglobalmethod', 'scaled');
model.sol('sol1').feature('t1').set('atolglobal', 0.001);
model.sol('sol1').feature('t1').set('estrat', 'exclude');
model.sol('sol1').feature('t1').set('maxorder', 2);
model.sol('sol1').feature('t1').set('control', 'time');
model.sol('sol1').feature('t1').create('seDef', 'Segregated');
model.sol('sol1').feature('t1').create('se1', 'Segregated');
model.sol('sol1').feature('t1').feature('se1').feature.remove('ssDef');
model.sol('sol1').feature('t1').feature('se1').create('ss1', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('segvar', {'comp1_T3'});
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i1', 'Iterative');
model.sol('sol1').feature('t1').feature('i1').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i1').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i1').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i1').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i1').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('linsolver', 'i1');
model.sol('sol1').feature('t1').feature('se1').create('ss2', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('segvar', {'comp1_T4'});
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i2', 'Iterative');
model.sol('sol1').feature('t1').feature('i2').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i2').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i2').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i2').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i2').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('linsolver', 'i2');
model.sol('sol1').feature('t1').feature('se1').create('ss3', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('segvar', {'comp1_p2' 'comp1_u2' 'comp1_T2' 'comp1_nipfl2_wht1_intfilm1_Tout' 'comp1_p' 'comp1_u' 'comp1_T' 'comp1_nipfl_wht1_intfilm1_Tout'});
model.sol('sol1').feature('t1').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('d1').set('mumpsalloc', 1.5);
model.sol('sol1').feature('t1').feature('d1').set('linsolver', 'mumps');
model.sol('sol1').feature('t1').feature('d1').set('rhob', 400);
model.sol('sol1').feature('t1').feature('d1').set('ooc', false);
model.sol('sol1').feature('t1').feature('d1').set('errorchk', 'auto');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('linsolver', 'd1');
model.sol('sol1').feature('t1').feature('se1').create('ll1', 'LowerLimit');
model.sol('sol1').feature('t1').feature('se1').feature('ll1').set('lowerlimit', 'comp1.T4 0 comp1.T3 0 ');
model.sol('sol1').feature('t1').feature.remove('fcDef');
model.sol('sol1').feature('t1').feature.remove('seDef');
model.sol('sol1').attach('std1');
model.sol('sol1').runAll;

model.result('pg1').run;
model.result('pg3').run;

model.physics('ht2').feature('hf1').set('Text', 'T3');

model.sol('sol1').study('std1');

model.study('std1').feature('time').set('notlistsolnum', 1);
model.study('std1').feature('time').set('notsolnum', '1');
model.study('std1').feature('time').set('listsolnum', 1);
model.study('std1').feature('time').set('solnum', '1');

model.sol('sol1').feature.remove('t1');
model.sol('sol1').feature.remove('v1');
model.sol('sol1').feature.remove('st1');
model.sol('sol1').create('st1', 'StudyStep');
model.sol('sol1').feature('st1').set('study', 'std1');
model.sol('sol1').feature('st1').set('studystep', 'time');
model.sol('sol1').create('v1', 'Variables');
model.sol('sol1').feature('v1').set('control', 'time');
model.sol('sol1').create('t1', 'Time');
model.sol('sol1').feature('t1').set('tlist', 'range(0,0.1,20)');
model.sol('sol1').feature('t1').set('plot', 'off');
model.sol('sol1').feature('t1').set('plotgroup', 'pg1');
model.sol('sol1').feature('t1').set('plotfreq', 'tout');
model.sol('sol1').feature('t1').set('probesel', 'all');
model.sol('sol1').feature('t1').set('probes', {});
model.sol('sol1').feature('t1').set('probefreq', 'tsteps');
model.sol('sol1').feature('t1').set('atolglobalmethod', 'scaled');
model.sol('sol1').feature('t1').set('atolglobal', 0.001);
model.sol('sol1').feature('t1').set('estrat', 'exclude');
model.sol('sol1').feature('t1').set('maxorder', 2);
model.sol('sol1').feature('t1').set('control', 'time');
model.sol('sol1').feature('t1').create('seDef', 'Segregated');
model.sol('sol1').feature('t1').create('se1', 'Segregated');
model.sol('sol1').feature('t1').feature('se1').feature.remove('ssDef');
model.sol('sol1').feature('t1').feature('se1').create('ss1', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('segvar', {'comp1_T3'});
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i1', 'Iterative');
model.sol('sol1').feature('t1').feature('i1').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i1').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i1').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i1').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i1').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('linsolver', 'i1');
model.sol('sol1').feature('t1').feature('se1').create('ss2', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('segvar', {'comp1_T4'});
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i2', 'Iterative');
model.sol('sol1').feature('t1').feature('i2').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i2').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i2').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i2').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i2').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('linsolver', 'i2');
model.sol('sol1').feature('t1').feature('se1').create('ss3', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('segvar', {'comp1_p2' 'comp1_u2' 'comp1_T2' 'comp1_nipfl2_wht1_intfilm1_Tout' 'comp1_p' 'comp1_u' 'comp1_T' 'comp1_nipfl_wht1_intfilm1_Tout'});
model.sol('sol1').feature('t1').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('d1').set('mumpsalloc', 1.5);
model.sol('sol1').feature('t1').feature('d1').set('linsolver', 'mumps');
model.sol('sol1').feature('t1').feature('d1').set('rhob', 400);
model.sol('sol1').feature('t1').feature('d1').set('ooc', false);
model.sol('sol1').feature('t1').feature('d1').set('errorchk', 'auto');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('linsolver', 'd1');
model.sol('sol1').feature('t1').feature('se1').create('ll1', 'LowerLimit');
model.sol('sol1').feature('t1').feature('se1').feature('ll1').set('lowerlimit', 'comp1.T4 0 comp1.T3 0 ');
model.sol('sol1').feature('t1').feature.remove('fcDef');
model.sol('sol1').feature('t1').feature.remove('seDef');
model.sol('sol1').attach('std1');
model.sol('sol1').runAll;

model.result('pg1').run;
model.result('pg3').run;
model.result('pg3').run;

model.view('view1').set('transparency', 'off');

model.result.dataset.create('dset5', 'Solution');
model.result.dataset('dset5').selection.geom('geom1', 3);
model.result.dataset('dset5').selection.geom('geom1', 3);
model.result.dataset('dset5').selection.set([1]);
model.result('pg3').run;
model.result('pg3').create('surf2', 'Surface');
model.result('pg3').feature('surf2').set('data', 'dset5');
model.result('pg3').feature('surf2').setIndex('looplevel', '187', 0);
model.result('pg3').feature('surf2').set('expr', 'T3');
model.result('pg3').feature('surf2').set('descr', 'Temperature');
model.result('pg3').run;
model.result('pg3').set('allowtableupdate', false);
model.result('pg3').set('title', 'Time=18.6 s Line: Temperature (K) Line: Temperature (K) Surface: Temperature (K) Surface: Temperature (K)');
model.result('pg3').set('hasbeenplotted', true);
model.result('pg3').feature('line1').set('rangeunit', 'K');
model.result('pg3').feature('line1').set('rangecolormin', 353.1500436792774);
model.result('pg3').feature('line1').set('rangecolormax', 356.25938389510105);
model.result('pg3').feature('line1').set('rangecoloractive', 'off');
model.result('pg3').feature('line1').set('rangedatamin', 353.1500436792774);
model.result('pg3').feature('line1').set('rangedatamax', 356.25938389510105);
model.result('pg3').feature('line1').set('rangedataactive', 'off');
model.result('pg3').feature('line1').set('rangeactualminmax', [353.1500436792774 356.25938389510105]);
model.result('pg3').feature('line1').set('hasbeenplotted', true);
model.result('pg3').feature('line2').set('rangeunit', 'K');
model.result('pg3').feature('line2').set('rangecolormin', 353.15004367927736);
model.result('pg3').feature('line2').set('rangecolormax', 353.6758175303443);
model.result('pg3').feature('line2').set('rangecoloractive', 'off');
model.result('pg3').feature('line2').set('rangedatamin', 353.15004367927736);
model.result('pg3').feature('line2').set('rangedatamax', 353.6758175303443);
model.result('pg3').feature('line2').set('rangedataactive', 'off');
model.result('pg3').feature('line2').set('rangeactualminmax', [353.15004367927736 353.6758175303443]);
model.result('pg3').feature('line2').set('hasbeenplotted', true);
model.result('pg3').feature('surf1').set('rangeunit', 'K');
model.result('pg3').feature('surf1').set('rangecolormin', 488.7500000000001);
model.result('pg3').feature('surf1').set('rangecolormax', 488.7500000000001);
model.result('pg3').feature('surf1').set('rangecoloractive', 'off');
model.result('pg3').feature('surf1').set('rangedatamin', 488.7500000000001);
model.result('pg3').feature('surf1').set('rangedatamax', 488.7500000000001);
model.result('pg3').feature('surf1').set('rangedataactive', 'off');
model.result('pg3').feature('surf1').set('rangeactualminmax', [488.7500000000001 488.7500000000001]);
model.result('pg3').feature('surf1').set('hasbeenplotted', true);
model.result('pg3').feature('surf2').set('rangeunit', 'K');
model.result('pg3').feature('surf2').set('rangecolormin', 354.7321072723735);
model.result('pg3').feature('surf2').set('rangecolormax', 362.59561555899876);
model.result('pg3').feature('surf2').set('rangecoloractive', 'off');
model.result('pg3').feature('surf2').set('rangedatamin', 354.7321072723735);
model.result('pg3').feature('surf2').set('rangedatamax', 362.59561555899876);
model.result('pg3').feature('surf2').set('rangedataactive', 'off');
model.result('pg3').feature('surf2').set('rangeactualminmax', [354.7321072723735 362.59561555899876]);
model.result('pg3').feature('surf2').set('hasbeenplotted', true);
model.result('pg3').set('renderdatacached', false);
model.result('pg3').set('allowtableupdate', true);
model.result('pg3').set('renderdatacached', true);
model.result.table.create('evl3', 'Table');
model.result.table('evl3').comments('Interactive 3D values');
model.result.table('evl3').label('Evaluation 3D');
model.result.table('evl3').addRow([75.00000000000003 -51.731130094651085 26.016160138350106 361.5983779056004], [0 0 0 0]);
model.result('pg2').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('surf2').active(false);
model.result('pg3').run;

model.view('view1').set('transparency', 'on');

model.physics('ht2').feature('hf1').selection.all;
model.physics('ht2').feature('hf1').selection.set([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 ...
56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 ...
117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 ...
165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 ...
213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 ...
261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 ...
309 310 311 312 313 314 315 316 317 318 319 320]);
model.physics('ht2').feature('hf1').selection.all;
model.physics('ht2').feature('hf1').set('Text', 'T_init_mold');

model.material.create('mat6', 'Common', 'comp1');
model.material('mat6').label('Air');
model.material('mat6').set('family', 'air');
model.material('mat6').propertyGroup('def').set('relpermeability', '1');
model.material('mat6').propertyGroup('def').set('relpermittivity', '1');
model.material('mat6').propertyGroup('def').set('dynamicviscosity', 'eta(T[1/K])[Pa*s]');
model.material('mat6').propertyGroup('def').set('ratioofspecificheat', '1.4');
model.material('mat6').propertyGroup('def').set('electricconductivity', '0[S/m]');
model.material('mat6').propertyGroup('def').set('heatcapacity', 'Cp(T[1/K])[J/(kg*K)]');
model.material('mat6').propertyGroup('def').set('density', 'rho(pA[1/Pa],T[1/K])[kg/m^3]');
model.material('mat6').propertyGroup('def').set('thermalconductivity', 'k(T[1/K])[W/(m*K)]');
model.material('mat6').propertyGroup('def').set('soundspeed', 'cs(T[1/K])[m/s]');
model.material('mat6').propertyGroup('def').func.create('eta', 'Piecewise');
model.material('mat6').propertyGroup('def').func('eta').set('funcname', 'eta');
model.material('mat6').propertyGroup('def').func('eta').set('arg', 'T');
model.material('mat6').propertyGroup('def').func('eta').set('extrap', 'constant');
model.material('mat6').propertyGroup('def').func('eta').set('pieces', {'200.0' '1600.0' '-8.38278E-7+8.35717342E-8*T^1-7.69429583E-11*T^2+4.6437266E-14*T^3-1.06585607E-17*T^4'});
model.material('mat6').propertyGroup('def').func.create('Cp', 'Piecewise');
model.material('mat6').propertyGroup('def').func('Cp').set('funcname', 'Cp');
model.material('mat6').propertyGroup('def').func('Cp').set('arg', 'T');
model.material('mat6').propertyGroup('def').func('Cp').set('extrap', 'constant');
model.material('mat6').propertyGroup('def').func('Cp').set('pieces', {'200.0' '1600.0' '1047.63657-0.372589265*T^1+9.45304214E-4*T^2-6.02409443E-7*T^3+1.2858961E-10*T^4'});
model.material('mat6').propertyGroup('def').func.create('rho', 'Analytic');
model.material('mat6').propertyGroup('def').func('rho').set('funcname', 'rho');
model.material('mat6').propertyGroup('def').func('rho').set('args', {'pA' 'T'});
model.material('mat6').propertyGroup('def').func('rho').set('expr', 'pA*0.02897/8.314/T');
model.material('mat6').propertyGroup('def').func('rho').set('dermethod', 'manual');
model.material('mat6').propertyGroup('def').func('rho').set('argders', {'pA' 'd(pA*0.02897/8.314/T,pA)'; 'T' 'd(pA*0.02897/8.314/T,T)'});
model.material('mat6').propertyGroup('def').func.create('k', 'Piecewise');
model.material('mat6').propertyGroup('def').func('k').set('funcname', 'k');
model.material('mat6').propertyGroup('def').func('k').set('arg', 'T');
model.material('mat6').propertyGroup('def').func('k').set('extrap', 'constant');
model.material('mat6').propertyGroup('def').func('k').set('pieces', {'200.0' '1600.0' '-0.00227583562+1.15480022E-4*T^1-7.90252856E-8*T^2+4.11702505E-11*T^3-7.43864331E-15*T^4'});
model.material('mat6').propertyGroup('def').func.create('cs', 'Analytic');
model.material('mat6').propertyGroup('def').func('cs').set('funcname', 'cs');
model.material('mat6').propertyGroup('def').func('cs').set('args', {'T'});
model.material('mat6').propertyGroup('def').func('cs').set('expr', 'sqrt(1.4*287*T)');
model.material('mat6').propertyGroup('def').func('cs').set('dermethod', 'manual');
model.material('mat6').propertyGroup('def').func('cs').set('argders', {'T' 'd(sqrt(1.4*287*T),T)'});
model.material('mat6').propertyGroup('def').addInput('temperature');
model.material('mat6').propertyGroup('def').addInput('pressure');
model.material('mat6').propertyGroup.create('RefractiveIndex', 'Refractive index');
model.material('mat6').propertyGroup('RefractiveIndex').set('n', '1');
model.material('mat6').set('family', 'air');
model.material.remove('mat6');

model.physics('ht2').feature('hf1').set('HeatFluxType', 'ConvectiveHeatFlux');

model.label('TaiChi.mph');

model.view('view1').set('transparency', 'on');

model.material('mat5').propertyGroup('def').addInput('temperature');
model.material('mat5').propertyGroup('def').set('thermalconductivity', {'-6e-12*(T^5)+1e-08*(T^4)-1e-05*(T^3)+0.0053*(T^2)-1.172*T+103.21'});
model.material('mat5').propertyGroup('def').set('heatcapacity', {'-0.0116*(T^2)+15.89*T-2555.2'});

model.physics('ht2').feature('hf1').set('Text', '293.15[K]');

model.sol('sol1').study('std1');

model.study('std1').feature('time').set('notlistsolnum', 1);
model.study('std1').feature('time').set('notsolnum', '1');
model.study('std1').feature('time').set('listsolnum', 1);
model.study('std1').feature('time').set('solnum', '1');

model.sol('sol1').feature.remove('t1');
model.sol('sol1').feature.remove('v1');
model.sol('sol1').feature.remove('st1');
model.sol('sol1').create('st1', 'StudyStep');
model.sol('sol1').feature('st1').set('study', 'std1');
model.sol('sol1').feature('st1').set('studystep', 'time');
model.sol('sol1').create('v1', 'Variables');
model.sol('sol1').feature('v1').set('control', 'time');
model.sol('sol1').create('t1', 'Time');
model.sol('sol1').feature('t1').set('tlist', 'range(0,0.1,20)');
model.sol('sol1').feature('t1').set('plot', 'off');
model.sol('sol1').feature('t1').set('plotgroup', 'pg1');
model.sol('sol1').feature('t1').set('plotfreq', 'tout');
model.sol('sol1').feature('t1').set('probesel', 'all');
model.sol('sol1').feature('t1').set('probes', {});
model.sol('sol1').feature('t1').set('probefreq', 'tsteps');
model.sol('sol1').feature('t1').set('atolglobalmethod', 'scaled');
model.sol('sol1').feature('t1').set('atolglobal', 0.001);
model.sol('sol1').feature('t1').set('estrat', 'exclude');
model.sol('sol1').feature('t1').set('maxorder', 2);
model.sol('sol1').feature('t1').set('control', 'time');
model.sol('sol1').feature('t1').create('seDef', 'Segregated');
model.sol('sol1').feature('t1').create('se1', 'Segregated');
model.sol('sol1').feature('t1').feature('se1').feature.remove('ssDef');
model.sol('sol1').feature('t1').feature('se1').create('ss1', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('segvar', {'comp1_T3'});
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i1', 'Iterative');
model.sol('sol1').feature('t1').feature('i1').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i1').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i1').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i1').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i1').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('linsolver', 'i1');
model.sol('sol1').feature('t1').feature('se1').create('ss2', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('segvar', {'comp1_T4'});
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i2', 'Iterative');
model.sol('sol1').feature('t1').feature('i2').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i2').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i2').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i2').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i2').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i2').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('linsolver', 'i2');
model.sol('sol1').feature('t1').feature('se1').create('ss3', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('segvar', {'comp1_p2' 'comp1_u2' 'comp1_T2' 'comp1_nipfl2_wht1_intfilm1_Tout' 'comp1_p' 'comp1_u' 'comp1_T' 'comp1_nipfl_wht1_intfilm1_Tout'});
model.sol('sol1').feature('t1').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('d1').set('mumpsalloc', 1.5);
model.sol('sol1').feature('t1').feature('d1').set('linsolver', 'mumps');
model.sol('sol1').feature('t1').feature('d1').set('rhob', 400);
model.sol('sol1').feature('t1').feature('d1').set('ooc', false);
model.sol('sol1').feature('t1').feature('d1').set('errorchk', 'auto');
model.sol('sol1').feature('t1').feature('se1').feature('ss3').set('linsolver', 'd1');
model.sol('sol1').feature('t1').feature('se1').create('ll1', 'LowerLimit');
model.sol('sol1').feature('t1').feature('se1').feature('ll1').set('lowerlimit', 'comp1.T4 0 comp1.T3 0 ');
model.sol('sol1').feature('t1').feature.remove('fcDef');
model.sol('sol1').feature('t1').feature.remove('seDef');
model.sol('sol1').attach('std1');
model.sol('sol1').runAll;

model.result('pg1').run;
model.result('pg3').run;

model.view('view1').set('transparency', 'off');

model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('line2').set('colorlegend', 'off');
model.result('pg3').run;
model.result('pg3').feature('line1').set('colorlegend', 'off');
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').create('mms1', 'MaxMinSurface');
model.result('pg3').feature('mms1').set('data', 'dset2');
model.result('pg3').feature('mms1').setIndex('looplevel', '187', 0);
model.result('pg3').feature('mms1').set('expr', 'T4');
model.result('pg3').feature('mms1').set('descr', 'Temperature');
model.result('pg3').feature('mms1').set('display', 'max');
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('mms1').set('display', 'min');
model.result('pg3').run;
model.result('pg3').feature('mms1').active(false);
model.result('pg3').run;
model.result('pg3').run;
model.result.numerical.create('max1', 'MaxSurface');
model.result.numerical('max1').set('data', 'dset2');
model.result.numerical('max1').setIndex('looplevelinput', 'manual', 0);
model.result.numerical('max1').setIndex('looplevel', '187', 0);
model.result.numerical('max1').selection.all;
model.result.numerical('max1').selection.set([6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 ...
59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 ...
118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 ...
166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 ...
214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 ...
262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 ...
310 311 312 313 314 315 316 317 318 319]);

model.view('view1').set('transparency', 'on');

model.result.numerical('max1').set('expr', 'T4');
model.result.numerical('max1').set('descr', 'Temperature');
model.result.table.create('tbl1', 'Table');
model.result.table('tbl1').comments('Surface Maximum 1 (T4)');
model.result.numerical('max1').set('table', 'tbl1');
model.result.numerical('max1').setResult;
model.result.numerical.create('min1', 'MinSurface');
model.result.numerical('min1').set('data', 'dset2');
model.result.numerical('min1').setIndex('looplevelinput', 'last', 0);
model.result.numerical('min1').setIndex('looplevelinput', 'manual', 0);
model.result.numerical('min1').setIndex('looplevel', '187', 0);
model.result.numerical('min1').selection.all;
model.result.numerical('min1').selection.set([6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 ...
61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 ...
120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 ...
168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 ...
216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 ...
264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 ...
312 313 314 315 316 317 318 319]);
model.result.numerical('min1').set('expr', 'T4');
model.result.numerical('min1').set('descr', 'Temperature');
model.result.table.create('tbl2', 'Table');
model.result.table('tbl2').comments('Surface Minimum 1 (T4)');
model.result.numerical('min1').set('table', 'tbl2');
model.result.numerical('min1').setResult;

model.label('TaiChi.mph');

model.view('view1').set('transparency', 'on');

model.label('TaiChi.mph');

model.view('view1').set('transparency', 'on');

model.result('pg3').run;
model.result('pg3').feature('surf1').active(false);
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('line2').active(false);
model.result('pg3').run;
model.result('pg3').run;

model.physics('nipfl').selection.set([9 10 11 12 13 14 15 16 90 91 92 93 202 203 210 211 263 264 271 272 288 289 317 318 322 323 324 325 326 327 334 335 372 373 380 381 382 383 384 385 395 396 436 ...
437 438 439 440 441 442 443 444 445 446 447 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 603 604 608 609 610 611 612 613 616 617 630 ...
631 634 635 637 638 648 649 655 656 659 660 678 679 682 683 741 742 743 744 745 746]);
model.physics('nipfl').feature.create('pipe2', 'PipeProperties', 1);
model.physics('nipfl').feature('pipe2').selection.named('sel2');
model.physics('nipfl').feature('pipe2').set('shape', 'Round');
model.physics('nipfl').feature('pipe2').set('innerd', '10[mm]');
model.physics('nipfl').feature('pipe2').set('roughness', '3');
model.physics('nipfl').feature.create('inl2', 'Inlet', 0);
model.physics('nipfl').feature('inl2').selection.set([436 437]);
model.physics('nipfl').feature('inl2').set('spec', '1');
model.physics('nipfl').feature('inl2').set('qv0', '6.914940738[l/min]');
model.physics('nipfl').feature.create('init2', 'init', 1);
model.physics('nipfl').feature('init2').selection.named('sel2');
model.physics('nipfl').feature('init2').set('u', '0.366849');
model.physics('nipfl').feature('init2').set('T', 'T_init_mold');
model.physics('nipfl').feature('hofl1').selection.set([438 439 440 441]);
model.physics('nipfl').feature('wht1').selection.set([9 10 11 12 13 14 15 16 90 91 92 93 202 203 210 211 263 264 271 272 288 289 317 318 322 323 324 325 326 327 334 335 372 373 380 381 382 383 384 385 ...
395 396 436 437 438 439 440 441 442 443 444 445 446 447 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 603 604 608 609 610 611 612 613 ...
616 617 630 631 634 635 637 638 648 649 655 656 659 660 678 679 682 683 741 742 743 744 745 746]);
model.physics.remove('nipfl2');
model.physics('ht').selection.set([1 2]);
model.physics('ht').feature.create('solid2', 'SolidHeatTransferModel', 3);
model.physics('ht').feature('solid2').selection.set([2]);
model.physics('ht').feature.create('init2', 'init', 3);
model.physics('ht').feature('init2').selection.set([2]);
model.physics('ht').feature('init2').set('Tinit', 'T_init_part');
model.physics.remove('ht2');

model.sol('sol1').study('std1');

model.study('std1').feature('time').set('notlistsolnum', 1);
model.study('std1').feature('time').set('notsolnum', '1');
model.study('std1').feature('time').set('listsolnum', 1);
model.study('std1').feature('time').set('solnum', '1');

model.sol('sol1').feature.remove('t1');
model.sol('sol1').feature.remove('v1');
model.sol('sol1').feature.remove('st1');
model.sol('sol1').create('st1', 'StudyStep');
model.sol('sol1').feature('st1').set('study', 'std1');
model.sol('sol1').feature('st1').set('studystep', 'time');
model.sol('sol1').create('v1', 'Variables');
model.sol('sol1').feature('v1').set('control', 'time');
model.sol('sol1').create('t1', 'Time');
model.sol('sol1').feature('t1').set('tlist', 'range(0,0.1,20)');
model.sol('sol1').feature('t1').set('plot', 'off');
model.sol('sol1').feature('t1').set('plotgroup', 'pg1');
model.sol('sol1').feature('t1').set('plotfreq', 'tout');
model.sol('sol1').feature('t1').set('probesel', 'all');
model.sol('sol1').feature('t1').set('probes', {});
model.sol('sol1').feature('t1').set('probefreq', 'tsteps');
model.sol('sol1').feature('t1').set('atolglobalmethod', 'scaled');
model.sol('sol1').feature('t1').set('atolglobal', 0.001);
model.sol('sol1').feature('t1').set('estrat', 'exclude');
model.sol('sol1').feature('t1').set('maxorder', 2);
model.sol('sol1').feature('t1').set('control', 'time');
model.sol('sol1').feature('t1').create('se1', 'Segregated');
model.sol('sol1').feature('t1').feature('se1').feature.remove('ssDef');
model.sol('sol1').feature('t1').feature('se1').create('ss1', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('segvar', {'comp1_T3'});
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subdamp', 0.8);
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('subjtech', 'onevery');
model.sol('sol1').feature('t1').create('i1', 'Iterative');
model.sol('sol1').feature('t1').feature('i1').set('linsolver', 'gmres');
model.sol('sol1').feature('t1').feature('i1').set('prefuntype', 'left');
model.sol('sol1').feature('t1').feature('i1').set('rhob', 20);
model.sol('sol1').feature('t1').feature('i1').set('itrestart', 50);
model.sol('sol1').feature('t1').feature('i1').create('mg1', 'Multigrid');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('prefun', 'gmg');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').set('mcasegen', 'any');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('pr').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').create('so1', 'SOR');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('po').feature('so1').set('iter', 2);
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('i1').feature('mg1').feature('cs').feature('d1').set('linsolver', 'pardiso');
model.sol('sol1').feature('t1').feature('se1').feature('ss1').set('linsolver', 'i1');
model.sol('sol1').feature('t1').feature('se1').create('ss2', 'SegregatedStep');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('segvar', {'comp1_p' 'comp1_u' 'comp1_T' 'comp1_nipfl_wht1_intfilm1_Tout'});
model.sol('sol1').feature('t1').create('d1', 'Direct');
model.sol('sol1').feature('t1').feature('d1').set('mumpsalloc', 1.5);
model.sol('sol1').feature('t1').feature('d1').set('linsolver', 'mumps');
model.sol('sol1').feature('t1').feature('d1').set('rhob', 400);
model.sol('sol1').feature('t1').feature('d1').set('ooc', false);
model.sol('sol1').feature('t1').feature('d1').set('errorchk', 'auto');
model.sol('sol1').feature('t1').feature('se1').feature('ss2').set('linsolver', 'd1');
model.sol('sol1').feature('t1').feature('se1').create('ll1', 'LowerLimit');
model.sol('sol1').feature('t1').feature('se1').feature('ll1').set('lowerlimit', 'comp1.T3 0');
model.sol('sol1').feature('t1').feature.remove('fcDef');
model.sol('sol1').attach('std1');
model.sol('sol1').runAll;

model.result('pg1').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('surf1').set('expr', 'T3');
model.result('pg3').feature('surf1').set('descr', 'Temperature');
model.result('pg3').feature('surf1').active(true);
model.result('pg3').run;
model.result('pg3').run;
model.result('pg3').feature('mms1').set('expr', 'T3');
model.result('pg3').feature('mms1').set('descr', 'Temperature');
model.result('pg3').feature('mms1').set('display', 'minmax');
model.result('pg3').feature('mms1').active(true);
model.result('pg3').run;

model.view('view1').set('transparency', 'on');

model.result.numerical('max1').set('expr', 'T3');
model.result.numerical('max1').set('descr', 'Temperature');
model.result.table('evl3').active(false);
model.result.table.remove('evl3');
model.result.table.remove('mm1');
model.result.table.remove('tbl1');
model.result.table.remove('tbl2');
model.result.table.create('tbl1', 'Table');
model.result.table('tbl1').comments('Surface Maximum 1 (T3)');
model.result.numerical('max1').set('table', 'tbl1');
model.result.numerical('max1').setResult;
model.result.numerical('min1').set('expr', 'T3');
model.result.numerical('min1').set('descr', 'Temperature');
model.result.table.create('tbl2', 'Table');
model.result.table('tbl2').comments('Surface Minimum 1 (T3)');
model.result.numerical('min1').set('table', 'tbl2');
model.result.numerical('min1').setResult;

x=model.result.numerical('max1').getReal;

save TaiChi_max.txt x -ascii;
save TaiChi_max02.txt x -ascii;

y=model.result.numerical('min1').getReal;

save TaiChi_min.txt y -ascii;
save TaiChi_min02.txt y -ascii;

out = model;
